<?php  
defined('ABSPATH') or die("No script kiddies please!");

// Register Custom Post Type
function BB_video_post_type() {

	$labels = array(
		'name'                => _x( 'NC-video', 'Post Type General Name', 'BB' ),
		'singular_name'       => _x( 'NC-video', 'Post Type Singular Name', 'BB' ),
		'menu_name'           => __( '&nbsp; NC-video', 'BB' ),
		'parent_item_colon'   => __( 'Parent NC-video:', 'BB' ),
		'all_items'           => __( 'All NC-video', 'BB' ),
		'view_item'           => __( 'View NC-video', 'BB' ),
		'add_new_item'        => __( 'Add New NC-video', 'BB' ),
		'add_new'             => __( 'New NC-video', 'BB' ),
		'edit_item'           => __( 'Edit NC-video', 'BB' ),
		'update_item'         => __( 'Update NC-video', 'BB' ),
		'search_items'        => __( 'Search NC-video', 'BB' ),
		'not_found'           => __( 'No NC-video found', 'BB' ),
		'not_found_in_trash'  => __( 'No NC-video found in Trash', 'BB' ),
	);
	$args = array(
		'label'               => __( 'NC-video', 'BB' ),
		'description'         => __( 'NC-video information pages', 'BB' ),
		'menu_position'       => 5, // places menu item directly below Posts
		'menu_icon'           => 'dashicons-format-video',
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'custom-fields', ),
		// 'taxonomies'          => array( 'category', 'post_tag' ),
		'hierarchical'        => true,
		'rewrite' => array( 'slug' => 'ncvideo','with_front' => FALSE),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'ncvideo', $args );

}

// Hook into the 'init' action
add_action( 'init', 'BB_video_post_type', 0 );
add_action( 'init', 'BB_taxonomies_movies', 0 );

function BB_taxonomies_movies() {
  $labels = array(
    'name'              => _x( 'NC-video Categories', 'taxonomy general name' ),
    'singular_name'     => _x( 'NC-video Category', 'taxonomy singular name' ),
    'search_items'      => __( 'Search NC-video Categories' ),
    'all_items'         => __( 'All NC-video Categories' ),
    'parent_item'       => __( 'Parent NC-video Category' ),
    'parent_item_colon' => __( 'Parent NC-video Category:' ),
    'edit_item'         => __( 'EditMovies Category' ), 
    'update_item'       => __( 'Update NC-video Category' ),
    'add_new_item'      => __( 'Add New NC-video Category' ),
    'new_item_name'     => __( 'New NC-video Category' ),
    'menu_name'         => __( 'NC-video Categories' ),
  );
  $args = array(
    'labels' => $labels,
    'hierarchical' => true,
  );
  register_taxonomy( 'movies_category', 'ncvideo', $args );
}


function add_menu_icons_styles(){
?>
 
<style>
#adminmenu div.dashicons-format-video:before {
    color: rgb(225, 77, 67) !important;
	background: #f0f0f0 !important;
	width: 34px;
	padding: 0;
	height: 34px;
	line-height: 34px;
	margin-left: -2px;
}

#menu-posts-ncvideo div.wp-menu-name{
  background: rgb(225, 77, 67) !important;
}
#menu-posts-ncvideo  ul.wp-submenu.wp-submenu-wrap{
	background: #fff;
}
#menu-posts-ncvideo  ul.wp-submenu.wp-submenu-wrap li a{
	color: #777;
}
#menu-posts-ncvideo  ul.wp-submenu.wp-submenu-wrap li a.current{
	color: #000;
}
#toplevel_page_ot-theme-options div.wp-menu-name{
	background: #f37025 !important;
}
#adminmenu div.dashicons-admin-generic:before{
color: #f37025 !important;
background: #f0f0f0 !important;
width: 34px;
padding: 0;
height: 33px;
line-height: 34px;
margin-left: -2px;
border-top: 1px solid #e0e0e0;
}
</style>
 
<?php
}
add_action( 'admin_head', 'add_menu_icons_styles' );
  
add_filter( 'template_include', 'include_template_function', 1 );

function include_template_function( $template_path ) {
    if ( get_post_type() == 'ncvideo' ) {
        if ( is_single() ) {
            // checks if the file exists in the theme first,
            // otherwise serve the file from the plugin
            if ( $theme_file = locate_template( array ( 'single-video.php' ) ) ) {
                $template_path = $theme_file;
            } else {
                $template_path = plugin_dir_path( __FILE__ ) . '/single-video.php';
            }
        }
                if ( is_tax() ) {
            // checks if the file exists in the theme first,
            // otherwise serve the file from the plugin
            if ( $theme_file = locate_template( array ( 'category-movie.php' ) ) ) {
                $template_path = $theme_file;
            } else {
                $template_path = plugin_dir_path( __FILE__ ) . '/category-movie.php';
            }
        }
    }
    return $template_path;
}



?>