<?php
/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit:
 * @link http://www.deluxeblogtips.com/meta-box/
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign
$prefix = 'BB_';

global $meta_boxes;

$meta_boxes = array();

// Post Options Format
$meta_boxes[] = array(
    'id' => 'cb_format_options',
    'title' =>' Post Format Options',
    'pages' => array( 'post' ),
    'context' => 'normal',
    'priority' => 'high',

    'fields' => array(
        array(
            'name' => 'Format Options: Audio',
            'desc' => 'Soundcloud Wordpress Embed Code',
            'id' => $prefix . 'soundcloud_embed_code_post',
            'type' => 'textarea',
            'std' => ''
        ),
        array(
            'name' => 'Format Options: Video',
            'desc' => 'Video iframe embed code',
            'id' => $prefix . 'video_embed_code_post',
            'type' => 'textarea',
            'std' => ''
        ),
        array(
            'name' => 'Format Options: Gallery',
            'desc' => 'Gallery Images',
            'id' => $prefix . 'gallery_content',
            'type' => 'image_advanced',
            'std' => ''
        )
    )
);




// 1st meta box
$meta_boxes[] = array(
    // Meta box id, UNIQUE per meta box. Optional since 4.1.5
    'id' => 'review',

    // Meta box title - Will appear at the drag and drop handle bar. Required.
    'title' => __( 'Review System on', 'BB' ),

    // Post types, accept custom post types as well - DEFAULT is array('post'). Optional.
    'pages' => array( 'post' ),

    // Where the meta box appear: normal (default), advanced, side. Optional.
    'context' => 'normal',

    // Order of meta box: high (default), low. Optional.
    'priority' => 'high',

    // Auto save: true, false (default). Optional.
    'autosave' => true,

    
    
    
    // List of meta fields
    'fields' => array(
    
        
        array(
            'name' => 'Enable review',
            'id'   => "review{$prefix}checkbox",
            'type' => 'checkbox',
            // Value can be 0 or 1
            'std'  => 0,
        ),
    )
);
// 1st meta box
$meta_boxes[] = array(
    // Meta box id, UNIQUE per meta box. Optional since 4.1.5
    'id' => 'review_on',

    // Meta box title - Will appear at the drag and drop handle bar. Required.
    'title' => __( 'Review System', 'BB' ),

    // Post types, accept custom post types as well - DEFAULT is array('post'). Optional.
    'pages' => array( 'post' ),

    // Where the meta box appear: normal (default), advanced, side. Optional.
    'context' => 'normal',

    // Order of meta box: high (default), low. Optional.
    'priority' => 'high',

    // Auto save: true, false (default). Optional.
    'autosave' => true,

    
    
    
    // List of meta fields
    'fields' => array(
             
             array(


            'name' => 'Enable User review',
            'id'   => "userreview{$prefix}checkbox",
            'type' => 'checkbox',
            // Value can be 0 or 1
            'std'  => 0,
        ),
             
        array(
            'name' => __( 'Review Summery Title', 'BB' ),
            'id' => "reviewtitle{$prefix}text",
            'desc' => __( 'Review Summer Title', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        // TEXT
        
        // WYSIWYG/RICH TEXT EDITOR
        array(
            'name' => __( 'Review Summery', 'BB' ),
            'id'   => "review_{$prefix}wysiwyg",
            'type' => 'textarea',
            // Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
            'raw'  => false,
            'std'  => __( ' ', 'BB' ),

            // Editor settings, see wp_editor() function: look4wp.com/wp_editor
            'options' => array(
                'textarea_rows' => 4,
                'teeny'         => true,
                'media_buttons' => false,
            ),
        ),
        // review 1

        array(
            'name' => __( 'Review Rate', 'BB' ),
            'id'   => "criteria1{$prefix}slider",
            'type' => 'slider',

            // Text labels displayed before and after
            'prefix' => __( '', 'BB' ),
            'suffix' => __( '', 'BB' ),

            // jQuery UI slider options. See here http://api.jqueryui.com/slider/
            'js_options' => array(
                'min'   => 0,
                'max'   => 100,
                'step'  => 5,
            ),
        ),
        array(
            'name' => __( 'Review Criteria 1', 'BB' ),
            'id' => "criteria1{$prefix}text",
            'desc' => __( 'Review Criteria 1', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
                'type' => 'divider',
                'id'   => 'fake_divider_id', // Not used, but needed
            ),
        //review 2
                array(
            'name' => __( 'Review Rate', 'BB' ),
            'id'   => "criteria2{$prefix}slider",
            'type' => 'slider',

            // Text labels displayed before and after
            'prefix' => __( '', 'BB' ),
            'suffix' => __( '', 'BB' ),

            // jQuery UI slider options. See here http://api.jqueryui.com/slider/
            'js_options' => array(
                'min'   => 0,
                'max'   => 100,
                'step'  => 5,
            ),
        ),
        array(
            'name' => __( 'Review Criteria 2', 'BB' ),
            'id' => "criteria2{$prefix}text",
            'desc' => __( 'Review Criteria 2', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
                'type' => 'divider',
                'id'   => 'fake_divider_id', // Not used, but needed
            ),
        //review 3
                array(
            'name' => __( 'Review Rate', 'BB' ),
            'id'   => "criteria3{$prefix}slider",
            'type' => 'slider',

            // Text labels displayed before and after
            'prefix' => __( '', 'BB' ),
            'suffix' => __( '', 'BB' ),

            // jQuery UI slider options. See here http://api.jqueryui.com/slider/
            'js_options' => array(
                'min'   => 0,
                'max'   => 100,
                'step'  => 5,
            ),
        ),
        array(
            'name' => __( 'Review Criteria 3', 'BB' ),
            'id' => "criteria3{$prefix}text",
            'desc' => __( 'Review Criteria 3', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
                'type' => 'divider',
                'id'   => 'fake_divider_id', // Not used, but needed
            ),      
        //review 4
        
                array(
            'name' => __( 'Review Rate', 'BB' ),
            'id'   => "criteria4{$prefix}slider",
            'type' => 'slider',

            // Text labels displayed before and after
            'prefix' => __( '', 'BB' ),
            'suffix' => __( '', 'BB' ),

            // jQuery UI slider options. See here http://api.jqueryui.com/slider/
            'js_options' => array(
                'min'   => 0,
                'max'   => 100,
                'step'  => 5,
            ),
        ),
        array(
            'name' => __( 'Review Criteria 4', 'BB' ),
            'id' => "criteria4{$prefix}text",
            'desc' => __( 'Review Criteria 4', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
                'type' => 'divider',
                'id'   => 'fake_divider_id', // Not used, but needed
            ),  
        
        //review 5
        
                array(
            'name' => __( 'Review Rate', 'BB' ),
            'id'   => "criteria5{$prefix}slider",
            'type' => 'slider',

            // Text labels displayed before and after
            'prefix' => __( '', 'BB' ),
            'suffix' => __( '', 'BB' ),

            // jQuery UI slider options. See here http://api.jqueryui.com/slider/
            'js_options' => array(
                'min'   => 0,
                'max'   => 100,
                'step'  => 5,
            ),
        ),
        array(
            'name' => __( 'Review Criteria 5', 'BB' ),
            'id' => "criteria5{$prefix}text",
            'desc' => __( 'Review Criteria 5', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
                'type' => 'divider',
                'id'   => 'fake_divider_id', // Not used, but needed
            ), 
        
        array(
            'name' => __( 'Total Score Title', 'BB' ),
            'id' => "{$prefix}reviewscoretitle",
            'desc' => __( 'Total Score Title (EX .. good - bad- yum )', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),
        array(
            'name' => __( 'Total Score Number For Google Rich Snippets', 'BB' ),
            'id' => "{$prefix}reviewscorerich",
            'desc' => __( 'Total Score Number (max .. 5 )', 'BB' ),
            'type' => 'text',
            'std' => __( ' ', 'BB' )
        ),

    )
);




/********************* META BOX REGISTERING ***********************/

/**
 * Register meta boxes
 *
 * @return void
 */
function brand_register_meta_boxes()
{
	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( !class_exists( 'RW_Meta_Box' ) )
		return;

	global $meta_boxes;
	foreach ( $meta_boxes as $meta_box )
	{
		new RW_Meta_Box( $meta_box );
	}
}
// Hook to 'admin_init' to make sure the meta box class is loaded before
// (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'brand_register_meta_boxes' );
