<?php
/**
 * Initialize the custom theme options.
 */
add_action( 'admin_init', 'custom_theme_options' );

/**
 * Build the custom settings & update OptionTree.
 */
function custom_theme_options() {
  /**
   * Get a copy of the saved settings array.
   */

  // Get Google Webfonts List
  require 'BB-google-font.php';

 $google_fonts = get_google_webfonts();
  foreach( $google_fonts as $font ) {
    $google_webfonts_array[$font['family']]['label'] = $font['family'];
    $google_webfonts_array[$font['family']]['value'] = $font['family'];
  }

  $saved_settings = get_option( 'option_tree_settings', array() );

  /**
   * Custom settings array that will eventually be
   * passes to the OptionTree Settings API Class.
   */
  $custom_settings = array(
    'contextual_help' => array(
      'sidebar'       => 'Get help here'
    ),
    'sections'        => array(
      array(
        'id'          => 'ot_general',
        'title'       => '<span class="dashicons dashicons-admin-generic"></span> General'
      ),
      array(
        'id'          => 'bb_homepage',
        'title'       => '<span class="dashicons dashicons-admin-home"></span> Homepage'
      ),
     
     array(
        'id'          => 'bb_ticker',
        'title'       => '<span class="dashicons dashicons-megaphone"></span> News Ticker'
      ),
      
      array(
        'id'          => 'bb_post_settings',
        'title'       => '<span class="dashicons dashicons-admin-post"></span> Posts'
      ),
        
      array(
        'id'          => 'ot_styling',
        'title'       => '<span class="dashicons dashicons-admin-appearance"></span> Global Styling'
      ),
      array(
        'id'          => 'ot_typography',
        'title'       => '<span class="dashicons dashicons-editor-textcolor"></span> Typography'
      ),
          
      array(
        'id'          => 'ot_footer',
        'title'       => '<span class="dashicons dashicons-welcome-widgets-menus"></span> Footer'
      ),
       array(
        'id'          => 'ot_social',
        'title'       => '<span class="dashicons dashicons-share"></span> Social'
      ),
      array(
        'id'          => 'ot_advertising',
        'title'       => '<span class="dashicons dashicons-chart-line"></span> Advertisement'
      ),
      array(
        'id'          => 'ot_custom_code',
        'title'       => '<span class="dashicons dashicons-hammer"></span> Custom Code'
      ),
      array(
        'id'          => 'ot_api',
        'title'       => '<span class="dashicons dashicons-networking"></span> API,s Auth'
       ),
      
      array(
        'id'          => 'ot_video',
        'title'       => '<span class="dashicons dashicons-video-alt3"></span> Video Option'
      )
      

    ),
    'settings'        => array(

      array(
        'id'          => 'bb_dark_skin',
        'label'       => 'Dark Style Skin',
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_sticky_on',
        'label'       => 'Sticky Header On && Off',
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
     
       array(
        'id'          => 'bb_boxed_skin',
        'label'       => 'Samll Boxed Site [1040px]',
        'desc'        => 'Click On To Active Boxed Width',
        'std'         => 'off',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
        array(
        'id'          => 'bb_boxed_shadow_off',
        'label'       => 'Site Box Shadow on & off',
        'desc'        => 'Click On To Active Site Box Shadow',
        'std'         => 'on',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

       array(
        'id'          => 'bb_site_marg',
        'label'       => 'Site Top Margin ',
        'desc'        => 'Add Your Margin top number only ex 30',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

         array(
        'id'          => 'loader',
        'label'       => 'Display Page Loader {on-off}',
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
         
      array(
        'id'          => 'bb_logo_url',
        'label'       => 'Logo',
        'desc'        => 'Upload your logo (Recommended size: 260px x 70px). Automatically loads Retina version if available. See documentation for more details.',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_logo_big',
        'label'       => 'Logo Full Width',
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on-off',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
        
      array(
        'id'          => 'bb_shop_url',
        'label'       => 'Shop Background Image',
        'desc'        => 'Upload your Shop Background Image',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_favicon_url',
        'label'       => 'Favicon',
        'desc'        => 'Upload your favicon.',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_favicon_iPhone',
        'label'       => 'Favicon For iPhone ',
        'desc'        => 'Upload your favicon.',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

       array(
        'id'          => 'bb_favicon_iPhone4',
        'label'       => 'Favicon For iPhone 4 iPhone 6 and iPhone 5 (@2x)',
        'desc'        => 'Upload your favicon sizes="120x120".',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

       array(
        'id'          => 'bb_favicon_iPad',
        'label'       => 'Favicon For iPad 2 and iPad mini (@1x)',
        'desc'        => 'Upload your favicon sizes="76x76".',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
       array(
        'id'          => 'bb_favicon_iPadr',
        'label'       => 'Favicon For iPad and iPad mini (@2x)',
        'desc'        => 'Upload your favicon sizes="152x152".',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
       array(
        'id'          => 'bb_favicon_iPhone6',
        'label'       => 'Favicon For iPhone 6 Plus (@3x)',
        'desc'        => 'Upload your favicon sizes="180x180".',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

        array(
          'id'          => '1_tab',
          'label'       => __( 'Top Content', 'BB' ),
          'type'        => 'tab',
          'section'     => 'bb_homepage'
        ),



      array(
        'id'          => 'bb_feature_home',
        'label'       => 'Featured Posts',
        'desc'        => 'Show a grid or slider above your homepage\'s "Latest Posts" content.',
        'std'         => 'bb_feature_off',
        'type'        => 'radio-image',
        'section'     => 'bb_homepage',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array(
            array(
                'value'       => 'bb_feature_off',
                'label'       => 'Off',
                'src'         => '/home-off.png'
              ),
            array(
                'value'       => 'parallax',
                'label'       => 'Featture',
                'src'         => '/home-f5.png'
              ),
            array(
                'value'       => 'feature-3',
                'label'       => 'Featture-3',
                'src'         => '/home-f3.png'
              ),
            array(
                'value'       => 'slider',
                'label'       => 'Featture',
                'src'         => '/home-f2.png'
              )

        ),
      ),
       
            
array(
        'id'          => 'bb_feature_category',
        'label'       => 'Slider Category Filter',
        'desc'        => 'Optional category filter for featured posts Slider (if no categories are checked, featured will show all categories)',
        'std'         => '',
        'type'        => 'category-checkbox',
        'section'     => 'bb_homepage',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

              array(
          'id'          => '2_tab',
          'label'       => __( 'Blog Style Optios', 'BB' ),
          'type'        => 'tab',
          'section'     => 'bb_homepage'
        ),
        array(
        'id'          => 'bb_home_style',
        'label'       => 'Blog Style',
        'desc'        => '',
        'std'         => '',
        'type'        => 'radio-image',
        'section'     => 'bb_homepage',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array(
          array(
            'value'       => 'list-noimg',
            'label'       => 'Style A',
            'src'         => '/home-b1.png'
          ),
          array(
            'value'       => 'list',
            'label'       => 'Style B',
            'src'         => '/home-b2.png'
          ),
          array(
            'value'       => 'masonry',
            'label'       => 'Style C',
            'src'         => '/home-b3.png'
          ),
           array(
            'value'       => 'masonry2',
            'label'       => 'Style A',
            'src'         => '/home-b4.png'
           ),
           array(
            'value'       => '2col',
            'label'       => 'Style D',
            'src'         => '/home-b5.png'
           )
        ),
      ),
array(
        'id'          => 'bb_feature_titlle',
        'label'       => 'Homepage Blog Titlle',
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'bb_homepage',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_feature_titlle_sup',
        'label'       => 'Homepage Blog Sup Titlle',
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'bb_homepage',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
                    'id'          => 'bb_blog_infinite_onoff',
                    'label'       => 'Disable The Infinite Scroll in blog',
                    'desc'        => '',
                    'std'         => 'off',
                    'type'        => 'on-off',
                    'section'     => 'bb_homepage',
                    'rows'        => '',
                    'post_type'   => '',
                    'taxonomy'    => '',
                    'min_max_step'=> '',
                    'class'       => ''
                  ),

/*News Ticker Option
---------------------------------------------------------------*/
        array(
                'id'          => 'bb_ticker_on_off',
                'label'       => 'News Ticker ON & OFF',
                'desc'        => '',
                'std'         => 'on',
                'type'        => 'on-off',
                'section'     => 'bb_ticker',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''
              ),

        array(
                'id'          => 'bb_ticker_category',
                'label'       => 'News Ticker Category Filter',
                'desc'        => 'Optional category filter for News Ticker (if no categories are checked, featured will show all categories)',
                'std'         => '',
                'type'        => 'category-checkbox',
                'section'     => 'bb_ticker',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''
              ),


      array(
        'id'          => 'bb_feature_post_style',
        'label'       => 'Featured Posts style override',
        'desc'        => 'Override the feature image style.',
        'std'         => '',
        'type'        => 'radio-image',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array(
           
            array(
            'value'       => 'BB-stander',
            'label'       => 'Stander',
            'src'         => '/stander.jpg'
          ),
          array(
            'value'       => 'BB-stander-full',
            'label'       => 'Stander2',
            'src'         => '/stander-full.jpg'
          ),
          array(
            'value'       => 'BB-stander-fulltitle',
            'label'       => 'Stander3',
            'src'         => '/stander-fulltitle.jpg'
          ),
          array(
            'value'       => 'BB-stander-boxed',
            'label'       => 'Stander4',
            'src'         => '/stander+2side.jpg'
          ),
          array(
            'value'       => 'BB-stander-fullimg',
            'label'       => 'Stander5',
            'src'         => '/full-1.jpg'
          ),
          array(
            'value'       => 'BB-full',
            'label'       => 'Stander6',
            'src'         => '/full-2.jpg'

          ),
             array(
            'value'       => 'BB-fullwidth',
            'label'       => 'Full-Width ',
            'src'         => '/full-3.jpg'
          )
        ),
      ),
      array(
        'id'          => 'bb_featuer_post_onoff',
        'label'       => 'Featuer Image ON or OFF',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_share_post_onoff',
        'label'       => 'Social Share ON or OFF',
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
     
     array(
        'id'          => 'bb_author_onoff',
        'label'       => 'Author Box  ON or OFF',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_moudel_post_onoff',
        'label'       => 'Random Popup Post ON or OFF',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_time_post_onoff',
        'label'       => 'Disable the posts view time',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      
      array(
        'id'          => 'bb_comments_onoff',
        'label'       => 'Comments',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      
      array(
        'id'          => 'bb_pagelink',
        'label'       => 'Show Next/Previous in articles',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_related_onoff',
        'label'       => 'Show related posts',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'bb_post_settings',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
     
/*Video Option
--------------------------------------------*/
       array(
        'id'          => 'bb_feature_video_style',
        'label'       => 'Featured Video Page ',
        'desc'        => 'Override the feature  style For Video Page .',
        'std'         => '',
        'type'        => 'radio-image',
        'section'     => 'ot_video',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array(
           
            array(
                'value'       => 'bb_video_off',
                'label'       => 'Off',
                'src'         => '/home-off.png'
              ),
            array(
                'value'       => 'loop-feature',
                'label'       => 'Featture',
                'src'         => '/home-vf.png'
              ),
            array(
                'value'       => 'loop-slider',
                'label'       => 'Featture-3',
                'src'         => '/home-vs.png'
              )
          ),
      ),

array(
        'id'          => 'bb_video_layout',
        'label'       => 'Featured Video Page layout',
        'desc'        => '',
        'std'         => '',
        'type'        => 'select',
        'section'     => 'ot_video',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array( 
          array(
            'value'       => '4Col',
            'label'       => '4 Col',
            'src'         => ''
          ),
          array(
            'value'       => '3Col',
            'label'       => '3 Col',
            'src'         => ''
          ),
          array(
            'value'       => '2Col',
            'label'       => '2 Col',
            'src'         => ''
          ),
        ),
      ),
       
       array(
        'id'          => 'bb_video_infinite_onoff',
        'label'       => 'Disable The Infinite Scroll in Video Page',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'ot_video',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

       array(
        'id'          => 'bb_video_time_onoff',
        'label'       => 'Disable The video time in Video Page',
        'desc'        => '',
        'std'         => '',
        'type'        => 'on-off',
        'section'     => 'ot_video',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

/*end video option
--------------------------------------------*/
      array(
        'id'          => 'bb_base_color',
        'label'       => 'Primary Colors',
        'desc'        => 'Color to show on menu, hovers, borders, etc if a page, post, category, etc doesn\'t have their own specific color set',
        'std'         => '#09c7e0',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_secondary_color',
        'label'       => 'secondary colors',
        'desc'        => 'Color to show on menu, hovers, borders, etc if a page, post, category, etc doesn\'t have their own specific color set',
        'std'         => '#022947',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_body_text_color',
        'label'       => 'Body Text Color',
        'desc'        => 'Change the body text color',
        'std'         => '',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_siteframe_color',
        'label'       => 'Header Background Color',
        'desc'        => '',
        'std'         => '#0d0d0d',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_link_color',
        'label'       => 'link Color',
        'desc'        => '',
        'std'         => '',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
        'id'          => 'bb_module_bg_color',
        'label'       => 'Module & Widget Header Background Color',
        'desc'        => '',
        'std'         => '',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_module_color',
        'label'       => 'Module & Widget Header text Color',
        'desc'        => '',
        'std'         => '',
        'type'        => 'colorpicker',
        'section'     => 'ot_styling',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

       array(
        'label'       => 'Headers and important titles',
        'id'          => 'bb_header_font',
        'type'        => 'select',
        'desc'        => 'Choose a default font for your headings. You can preview all the fonts at http://www.google.com/webfonts/.',
        'choices'     => $google_webfonts_array,
        'std'         => 'Oswald',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'section'     => 'ot_typography'
      ),

      array(
        'id'          => 'bb_feature_font',
        'label'       => 'Feature Header Fonts',
        'desc'        => 'Select the font of the Feature Headers .',
        'std'         => 'Oswald',
        'type'        => 'select',
        'section'     => 'ot_typography',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => $google_webfonts_array,

      ),
       array(
        'id'          => 'bb_body_font',
        'label'       => 'Body Fonts',
        'desc'        => 'Select the font of the Body .',
        'std'         => '',
        'type'        => 'select',
        'section'     => 'ot_typography',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => $google_webfonts_array,

      ),
   






     

      

       array(
        'id'          => 'bb_footer_copyright',
        'label'       => 'Footer Copyright',
        'desc'        => '',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_footer',
        'rows'        => '2',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

         // social----------------------------------------------
          array(
        'id'          => 'bb_footer_social',
        'label'       => 'Site Social ',
        'desc'        => '',
        'std'         => '',
        'type'        => 'textblock_titled',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),



          array(
        'id'          => 'bb_footer_facebook',
        'label'       => 'Facebook ',
        'desc'        => 'http://www.facebook.com/USER',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),
          array(
        'id'          => 'bb_footer_twitter',
        'label'       => 'Twitter',
        'desc'        => 'http://www.twitter.com/USER',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),
        
           array(
        'id'          => 'bb_footer_instagram',
        'label'       => 'Instagram ',
        'desc'        => 'http://www.instagram.com/',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),
            array(
        'id'          => 'bb_footer_google',
        'label'       => 'google ',
        'desc'        => 'https://plus.google.com/u/id',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),
             array(
        'id'          => 'bb_footer_youtube',
        'label'       => 'youtube ',
        'desc'        => 'http://www.youtube.com/user/',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),
              array(
        'id'          => 'bb_footer_linkedin',
        'label'       => 'linkedin ',
        'desc'        => 'http://www.linkedin.com/company/',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_social',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => '',
        ),





          // ------------------------------------------------------
       
      array(
        'id'          => 'bb_header_banner_code',
        'label'       => 'Header Banner Code (Support 970x90 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
       array(
        'id'          => 'bb_header_banner_small_code',
        'label'       => 'Site Banner Code for responsive (Support 300x250 & 125x125)',
        'desc'        => 'Enter your ad code for responsive.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_home_banner_code',
        'label'       => 'Home Page Content Banner Code (Support 970x90 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_footer_banner_code',
        'label'       => 'Footer Top Banner Code (Support 970x90 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_banner_post_top',
        'label'       => 'Post Top Banner Code (Support 468x60 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
array(
        'id'          => 'bb_banner_post_bottom',
        'label'       => 'Post Bottom Banner Code (Support 468x60 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
 array(
        'id'          => 'bb_banner_page_top',
        'label'       => 'Page Top Banner Code (Support 468x60 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
array(
        'id'          => 'bb_banner_page_bottom',
        'label'       => 'Page Bottom Banner Code (Support 468x60 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_cat_banner_code',
        'label'       => 'Category Banner Code (Support 970x90 & 728x90)',
        'desc'        => 'Enter your ad code.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '4',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      
     array(
        'id'          => 'bb_bg_to',
        'label'       => 'Background Ad ON & OFF',
        'desc'        => '',
        'std'         => '',
        'type'        => 'select',
        'section'     => 'ot_advertising',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'choices'     => array( 
          array(
            'value'       => 'off',
            'label'       => 'Off',
            'src'         => ''
          ),
          array(
            'value'       => 'on',
            'label'       => 'ON',
            'src'         => ''
          ),
        ),
      ),
      array(
        'id'          => 'bb_bg_to_img',
        'label'       => 'Background Takeover Ad Image',
        'desc'        => 'Uploade/Select the background ad image.',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'ot_advertising',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_bg_to_url',
        'label'       => 'Background Takeover Ad Link',
        'desc'        => 'Enter the URL that clicking the background ad image should open.',
        'std'         => '',
        'type'        => 'textarea-simple',
        'section'     => 'ot_advertising',
        'rows'        => '1',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
/*------------------------------------------------------------------------------*/
      array(
        'id'          => 'bb_custom_css',
        'label'       => 'Custom CSS',
        'desc'        => 'No need to hard-edit style.css anymore. All your CSS modifications can be done here so you do not lose them in future theme updates. (It is still recommended to save a backup of this custom CSS to a separate .txt file)',
        'std'         => '',
        'type'        => 'css',
        'section'     => 'ot_custom_code',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_custom_head',
        'label'       => 'Code For &lt;head&gt; section',
        'desc'        => 'No need to hard-edit files anymore to add custom Javascript/code to your head. Code in this box will appear before the closing head tag.',
        'std'         => '',
        'type'        => 'css',
        'section'     => 'ot_custom_code',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),
      array(
        'id'          => 'bb_custom_footer',
        'label'       => 'Code For &lt;footer&gt; section',
        'desc'        => 'No need to hard-edit files anymore to add custom Javascript/code to your footer. Code in this box will appear right before the closing body tag.',
        'std'         => '',
        'type'        => 'css',
        'section'     => 'ot_custom_code',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => ''
      ),

      array(
                'id'          => 'bb_api_auth',
                'label'       => 'API\'s Authentication',
                'desc'        => 'Twitter (required for using  social counters widget you can get twitter Authentication data by following this <a href="https://www.youtube.com/watch?v=AuhmU1OI9tY"  target="_blank">tutorial</a>',
                'std'         => '',
                'type'        => 'textblock_titled',
                'section'     => 'ot_api',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''

              ),
      array(
        'id'          => 'twitter_ck',
        'label'       => '',
        'desc'        => '-- Consumer key',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
        'id'          => 'twitter_cs',
        'label'       => '',
        'desc'        => '-- Consumer secret',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
        'id'          => 'twitter_at',
        'label'       => '',
        'desc'        => '-- Access token',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
        'id'          => 'twitter_ats',
        'label'       => '',
        'desc'        => '-- Access token secret',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),

      array(
                'id'          => 'bb_api_auth_google',
                'label'       => 'Google+ (required for using social counter widget)',
                'desc'        => 'To get Google+ API Key See Docs',
                'std'         => '',
                'type'        => 'textblock_titled',
                'section'     => 'ot_api',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''

              ),
      array(
        'id'          => 'googlep_api_key',
        'label'       => '',
        'desc'        => '-- Google+ API Key',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
                'id'          => 'bb_api_auth_ins',
                'label'       => 'Instagram (required for using social counter widget)',
                'desc'        => 'To get Instagram Access Token See Docs',
                'std'         => '',
                'type'        => 'textblock_titled',
                'section'     => 'ot_api',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''

              ),
      array(
        'id'          => 'nstagram_access_token',
        'label'       => '',
        'desc'        => '-- Instagram Access Token',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
                'id'          => 'bb_api_auth_Sound',
                'label'       => 'Sound Cloud (required for using social counter widget)',
                'desc'        => 'To get Sound Cloud Client ID See Docs',
                'std'         => '',
                'type'        => 'textblock_titled',
                'section'     => 'ot_api',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''

              ),
      array(
        'id'          => 'soundcloud_client_id',
        'label'       => '',
        'desc'        => '-- Sound Cloud Client ID',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
      array(
                'id'          => 'bb_api_auth_Behace',
                'label'       => 'Behace (required for using social counter widget)',
                'desc'        => 'To get Behance API key See Docs',
                'std'         => '',
                'type'        => 'textblock_titled',
                'section'     => 'ot_api',
                'rows'        => '',
                'post_type'   => '',
                'taxonomy'    => '',
                'min_max_step'=> '',
                'class'       => ''

              ),
      array(
        'id'          => 'behance_api_key',
        'label'       => '',
        'desc'        => '-- Behance API key',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'ot_api',
        'rows'        => '1',
        
        ),
          
    )
  );

  /* allow settings to be filtered before saving */
  $custom_settings = apply_filters( 'option_tree_settings_args', $custom_settings );

  /* settings are not the same update the DB */
  if ( $saved_settings !== $custom_settings ) {
    update_option( 'option_tree_settings', $custom_settings );
  }

}