<?php
/**
 *
 * HTML Shortcodes
 *
 */



// Button
function button_shortcode($atts, $content = null) {
	extract(shortcode_atts(
        array(
            'link' => 'http://www.google.com',
            'text' => 'Button Text',
			'size' => 'normal',
			'style' => '',
			'target' => '_self',
            'display' => '',
            'class' => '',
            'icon' => 'no'
    ), $atts));

    $output =  '<a href="'.$link.'" title="'.$text.'" class="btn btn-'.$style.' btn-'.$size.' btn-'.$display.' '.$class.'" target="'.$target.'">';
    if ($icon != 'no') {
        $output .= '<i class="fa fa-'.$icon.'"></i> ';
    }
	$output .= $text;
	$output .= '</a><!-- .btn -->';

    return $output;
}
add_shortcode('button', 'button_shortcode');





// Dropcaps
function dropcap_shortcode($atts, $content = null) {
extract(shortcode_atts(
	        array(
					'custom_class' => ''
	    ), $atts));
    $output = '<p class="dropcap '. $custom_class .'">';
    $output .= do_shortcode($content);
    $output .= '</p>';

    return $output;
}
add_shortcode('dropcap', 'dropcap_shortcode');


// Horizontal Rule
function hr_shortcode($atts, $content = null) {

    $output = '<div class="hr"><!-- .hr (end) --></div>';

    return $output;
}
add_shortcode('hr', 'hr_shortcode');

// Intro text
function intro_shortcode($atts, $content = null) {

    $output = '<div class="intro">';
	$output .= do_shortcode($content);
    $output .= '</div>';

    return $output;
}
add_shortcode('intro', 'intro_shortcode');


// Small Horizontal Rule
function sm_hr_shortcode($atts, $content = null) {

    $output = '<div class="sm_hr"></div>';

    return $output;
}
add_shortcode('sm_hr', 'sm_hr_shortcode');





// Blockquote
function blockquote_shortcode($atts, $content = null) {


    $output = '<blockquote>';
    $output .= do_shortcode($content);
    $output .= '</blockquote><!-- blockquote (end) -->';

    return $output;
}
add_shortcode('blockquote', 'blockquote_shortcode');







// Row
function row_shortcode($atts, $content=null) {
extract(shortcode_atts(
	        array(
					'custom_class' => ''
	    ), $atts));
	// add divs to the content
	$output = '<div class="row '. $custom_class .'">';
	$output .= do_shortcode($content);
	$output .= '</div> <!-- .row (end) -->';

	return $output;
}
add_shortcode('row', 'row_shortcode');

// Container
function container_shortcode($atts, $content=null) {
extract(shortcode_atts(
	        array(
					'custom_class' => ''
	    ), $atts));
	// add divs to the content
	$output = '<div class="container '. $custom_class .'">';
	$output .= do_shortcode($content);
	$output .= '</div> <!-- .container (end) -->';

	return $output;
}
add_shortcode('container', 'container_shortcode');


// Row Inner
function row_inner_shortcode($atts, $content=null) {

    // add divs to the content
    $output = '<div class="row">';
    $output .= do_shortcode($content);
    $output .= '</div> <!-- .row (end) -->';

    return $output;
}
add_shortcode('row_in', 'row_inner_shortcode');


// Row Fluid
function row_fluid_shortcode($atts, $content=null) {
extract(shortcode_atts(
	        array(
					'custom_class' => ''
	    ), $atts));
    // add divs to the content
    $output = '<div class="row-fluid '. $custom_class .'">';
    $output .= do_shortcode($content);
    $output .= '</div> <!-- .row-fluid (end) -->';

    return $output;
}
add_shortcode('row_fluid', 'row_fluid_shortcode');

// Clear
function clear_shortcode($atts, $content = null) {

    $output = '<div class="clear"></div>';

    return $output;
}
add_shortcode('clear', 'clear_shortcode');


// Address
function address_shortcode($atts, $content = null) {

	$output = '<address>';
	$output .= do_shortcode($content);
	$output .= '</address> <!-- address (end) -->';

	return $output;
}
add_shortcode('address', 'address_shortcode');



// Vertical Rule
function vr_shortcode($atts, $content = null) {

	$output = '<div class="vertical-divider">';
	$output .= do_shortcode($content);
	$output .= '</div> <!-- divider (end) -->';

	return $output;
}
add_shortcode('vr', 'vr_shortcode');


// Label
function label_shortcode($atts, $content = null) {

    extract(shortcode_atts(
        array(
            'style' => '',
            'icon' => ''
    ), $atts));

    $output = '<span class="label label-'.$style.'">';
    if ($icon != "") {
        $output .= '<i class="'.$icon.'"></i>';
    }
    $output .= $content .'</span>';

    return $output;
}
add_shortcode('label', 'label_shortcode');


// Text Highlight
function highlight_shortcode($atts, $content = null) {

    $output = '<span class="text-highlight">';
    $output .= do_shortcode($content);
    $output .= '</span><!-- .highlight (end) -->';

    return $output;
}
add_shortcode('highlight', 'highlight_shortcode');


// Icon
function icon_shortcode($atts, $content = null) {

    extract(shortcode_atts(
        array(
            'icons' => '',
            'align' => '',
			'size' => '',
			'color' => ''
    ), $atts));

    if ($icons != '') {
        $output = '<i style="color:'. $color .'" class="fa fa-'. $icons .' align'. $align .' '. $size .'"></i>';
        return $output;
    }
}
add_shortcode('icon', 'icon_shortcode');

// Template URL
function template_url_shortcode($atts, $content = null) {

    $template_url = home_url();
    return $template_url;
}
add_shortcode('template_url', 'template_url_shortcode');

// Extra Wrap
function extra_wrap_shortcode($atts, $content = null) {

    $output = '<div class="extra-wrap">';
        $output .= do_shortcode($content);
    $output .= '</div>';

    return $output;
}
add_shortcode('extra_wrap', 'extra_wrap_shortcode');


function padding_0($atts, $content = null) {
extract(shortcode_atts(
            array(
                    'custom_class' => ''
        ), $atts));
    $output = '<div class="padding_0 '. $custom_class .'">';
    $output .= do_shortcode($content);
    $output .= '</div>';

    return $output;
}
add_shortcode('padding-p-0', 'padding_0');

function padding_1($atts, $content = null) {
extract(shortcode_atts(
            array(
                    'custom_class' => ''
        ), $atts));
    $output = '<div class="padding_1 '. $custom_class .'">';
    $output .= do_shortcode($content);
    $output .= '</div>';

    return $output;
}
add_shortcode('padding-p-1', 'padding_1');

function padding_2($atts, $content = null) {
extract(shortcode_atts(
            array(
                    'custom_class' => ''
        ), $atts));
    $output = '<div class="padding_2 '. $custom_class .'">';
    $output .= do_shortcode($content);
    $output .= '</div>';

    return $output;
}
add_shortcode('padding-p-2', 'padding_2');