(function() {
    tinymce.PluginManager.add('HS_Shortcodes', function( editor, url ) {

        editor.addButton( 'HS_Shortcodes', {
            title: 'Insert Shortcode',
			type: 'menubutton',
            text: 'Shortcode',
            icon: 'icon hs-own-icon',
			// Menu
			menu: [

			// Elements
			{
                    text: 'Elements',
            menu: [
            	{
            		text: 'Text highlight', value: '[highlight][/highlight]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'Blockquote', value: '[blockquote][/blockquote]', onclick: function() {editor.insertContent(this.value()); }
           		},


				// Progressbar
						   {
                    text: 'Progressbar',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Progressbar Shortcode',
                            body: [{
                                type: 'textbox',
                                name: 'val',
                                label: 'Value',
								tooltip: 'Enter the value for bar (%).'
                            },
                            {
                                type: 'textbox',
                                name: 'label',
                                label: 'Label',
								tooltip: 'Enter label.'
                            },{
                                type: 'listbox',
                                name: 'style',
                                tooltip: 'Choose button style.',
                                label: 'Style',
                                'values': [
                                    {text: 'primary', value: 'progress-bar-success'},
                                    {text: 'info', value: 'progress-bar-info'},
                                    {text: 'warning', value: 'progress-bar-warning'},
                                    {text: 'danger', value: 'progress-bar-danger'}
                                ]
                            },
                            {
                                type: 'textbox',
                                name: 'cclass',
                                label: 'Custom class',
								tooltip: 'Use this field if you want to use a custom class.'

                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[progressbar value="' + e.data.val + '"  label="' + e.data.label + '" style="' + e.data.style + '" custom_class="' + e.data.cclass + '"]');
                            }
                        });
                    }
                },
				// End Progressbar
				// Drop Cap
						   {
                    text: 'Drop Cap',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Drop Cap Shortcode',
                            body: [{
                                type: 'listbox',
                                name: 'cclass',
								tooltip: 'Choose CSS class.',
                                label: 'Css Class',
                                'values': [
                                    {text: 'normal', value: 'normal'},
                                    {text: 'black', value: 'bl'},
                                    {text: 'white', value: 'wh'}
                                ]
                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[dropcap custom_class="' + e.data.cclass + '"] ... [/dropcap]');
                            }
                        });
                    }
                },
				// End Drop Cap
				// Button
						   {
                    text: 'Button',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Button Shortcode',
                            body: [{
                                type: 'textbox',
                                name: 'btxt',
                                label: 'Button Text',
								tooltip: 'Enter the text for button.'

                            },{
                                type: 'textbox',
                                name: 'iconame',
                                label: 'Icon name',
								tooltip: 'Enter the name of the icon. Example: icon-shopping-cart. Complete list of the icons you will find in Documentation/Icons/demo.html file.'

                            },{
                                type: 'textbox',
                                name: 'btlink',
                                label: 'Button Link',
								tooltip: 'Enter the link for button. (e.g. http://demolink.org)'

                            },{
                                type: 'listbox',
                                name: 'style',
								tooltip: 'Choose button style.',
                                label: 'Style',
                                'values': [
                                    {text: 'primary', value: 'success'},
                                    {text: 'info', value: 'info'},
                                    {text: 'warning', value: 'warning'},
                                    {text: 'danger', value: 'danger'}
                                ]
                            },{
                                type: 'listbox',
                                name: 'size',
								tooltip: 'Choose button size.',
                                label: 'Size',
                                'values': [
                                    {text: 'x-big', value: 'xl'},
                                    {text: 'big', value: 'lg'},
                                    {text: 'small', value: 'sm'},
									{text: 'x-small', value: 'xs'}
                                ]
                            },{
                                type: 'listbox',
                                name: 'target',
								tooltip: 'The target attribute specifies a window or a frame where the linked document is loaded.',
                                label: 'Target',
                                'values': [
                                    {text: '_blank', value: '_blank'},
                                    {text: '_self', value: '_self'},
                                    {text: '_parent', value: '_parent'},
									{text: '_top', value: '_top'}
                                ]
                            },{
                                type: 'listbox',
                                name: 'display',
								tooltip: 'Choose between inline and block display options.',
                                label: 'Display',
                                'values': [
                                    {text: 'inline', value: 'inline'},
                                    {text: 'block', value: 'block'}
                                ]
                            },{
                                type: 'textbox',
                                name: 'class',
                                label: 'Class',
								tooltip: 'Any CSS classes you want to add'

                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[button text="' + e.data.btxt + '" link="' + e.data.btlink + '" style="' + e.data.style + '" size="' + e.data.size + '" target="' + e.data.target + '" display="' + e.data.display + '" class="' + e.data.class + '" icon="' + e.data.iconame + '"]');
                            }
                        });
                    }
                },
				// End Button
								// Icon
						   {
                    text: 'Icon',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Fontawesome Iocn',
                            body: [{
                                type: 'textbox',
                                name: 'iconame',
                                label: 'Icon name',
								tooltip: 'Enter the name of the fontawesome icon. Example: (user) . Complete list of the icons you will find in http://fortawesome.github.io/Font-Awesome/icons/.'

                            },{
                                type: 'listbox',
                                name: 'align',
								tooltip: 'Choose icons align.',
                                label: 'Align',
                                'values': [
                                    {text: 'left', value: 'left'},
                                    {text: 'right', value: 'right'},
                                    {text: 'center', value: 'center'},
									{text: 'none', value: 'none'}
                                ]
                            },{
                                type: 'listbox',
                                name: 'size',
								tooltip: 'Choose icons size.',
                                label: 'Size',
                                'values': [
                                    {text: 'fa-1x', value: 'fa-1x'},
                                    {text: 'fa-2x', value: 'fa-2x'},
                                    {text: 'fa-3x', value: 'fa-3x'},
									{text: 'fa-4x', value: 'fa-4x'},
									{text: 'fa-5x', value: 'fa-5x'}
                                ]
                            },{
                                type: 'textbox',
                                name: 'icocolor',
                                label: 'Icon color',
								tooltip: 'Enter icons color'

                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[icon icons="' + e.data.iconame + '" align="' + e.data.align + '" size="' + e.data.size + '" color="' + e.data.icocolor + '"]');
                            }
                        });
                    }
                },
				// End Icon
               {
                    text: 'padding-p-0', value: '[padding-p-0 custom_class=""][/padding-p-0]', onclick: function() {editor.insertContent(this.value()); }
                },
                {
                    text: 'padding-p-1', value: '[padding-p-1 custom_class=""][/padding-p-1]', onclick: function() {editor.insertContent(this.value()); }
                },
                {
                    text: 'padding-p-2', value: '[padding-p-2 custom_class=""][/padding-p-2]', onclick: function() {editor.insertContent(this.value()); }
                },
           ]

		   },
		   // End Elements

		   			// Start Columns
			{
                    text: 'Columns',
            menu: [

				{
            		text: 'row', value: '[row custom_class=""][/row]', onclick: function() {editor.insertContent(this.value()); }
           		},


				{
            		text: 'col-md-1', value: '[col-md-1][/col-md-1]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-2', value: '[col-md-2][/col-md-2]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-3', value: '[col-md-3][/col-md-3]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-4', value: '[col-md-4][/col-md-4]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-5', value: '[col-md-5][/col-md-5]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-6', value: '[col-md-6][/col-md-6]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-7', value: '[col-md-7][/col-md-7]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-8', value: '[col-md-8][/col-md-8]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-9', value: '[col-md-9][/col-md-9]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-10', value: '[col-md-10][/col-md-10]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-11', value: '[col-md-11][/col-md-11]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: 'col-md-12', value: '[col-md-12][/col-md-12]', onclick: function() {editor.insertContent(this.value()); }
           		}
           ]
		   },
		   // End Columns

			// Start 2 Columns
			{
                    text: '2 Columns',
            menu: [
            	{
            		text: '50% | 50%', value: '[col-md-6][/col-md-6][col-md-6][/col-md-6]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: '75% | 25%', value: '[col-md-8][/col-md-8][col-md-4][/col-md-4]', onclick: function() {editor.insertContent(this.value()); }
           		},
				{
            		text: '25% | 75%', value: '[col-md-4][/col-md-4][col-md-8][/col-md-8]', onclick: function() {editor.insertContent(this.value()); }
           		}
           ]
		   },
		   // End 2 Columns
		   // Start 3 Columns
		   {
                    text: '3 Columns',
            menu: [
            	{
            		text: '33.3% | 33.3% | 33.3%', value: '[col-md-4][/col-md-4][col-md-4][/col-md-4][col-md-4][/col-md-4]', onclick: function() { editor.insertContent(this.value()); }
           		},
				{
            		text: '50% | 25% | 25%', value: '[col-md-6][/col-md-6][col-md-3][/col-md-3][col-md-3][/col-md-3]', onclick: function() { editor.insertContent(this.value()); }
           		},
				{
            		text: '25% | 50% | 25%', value: '[col-md-3][/col-md-3][col-md-6][/col-md-6][col-md-3][/col-md-3]', onclick: function() { editor.insertContent(this.value()); }
           		},
				{
            		text: '25% | 25% | 50%', value: '[col-md-3][/col-md-3][col-md-3][/col-md-3][col-md-6][/col-md-6]', onclick: function() { editor.insertContent(this.value()); }
           		}
           ]
		   },
		   // End 3 Columns
		   	   // Start 4 Columns
		   {
                    text: '4 Columns',
            menu: [
            	{
            		text: '25% | 25% | 25% | 25%', value: '[col-md-3][/col-md-3][col-md-3][/col-md-3][col-md-3][/col-md-3][col-md-3][/col-md-3]', onclick: function() { editor.insertContent(this.value()); }
           		}
           ]
		   },
		   // End 4 Columns
           // Panel
                           {
                    text: 'Panel',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Panel Shortcode',
                            body: [{
                                type: 'textbox',
                                name: 'label',
                                label: 'Label',
                                tooltip: 'Enter label.'
                            },
                            {
                                type: 'textbox',
                                name: 'bcontent',
                                label: 'contents',
                                tooltip: 'Enter label.'
                            },{
                                type: 'listbox',
                                name: 'style',
                                tooltip: 'Choose button style.',
                                label: 'Style',
                                'values': [
                                    {text: 'primary', value: 'success'},
                                    {text: 'info', value: 'info'},
                                    {text: 'warning', value: 'warning'},
                                    {text: 'danger', value: 'danger'}
                                ]
                            },
                            {
                                type: 'textbox',
                                name: 'bclass',
                                label: 'Custom class',
                                tooltip: 'Use this field if you want to use a custom class.'

                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[panel contents="' + e.data.bcontent + '"  label="' + e.data.label + '" style="' + e.data.style + '" custom_class="' + e.data.bclass + '"]');
                            }
                        });
                    }
                },
                // End Panel


				// Accordion
				{
            		text: 'Accordion', value: '[accordions] [accordion title="title1" visible="yes"] tab content [/accordion] [accordion title="title2"] another content tab [/accordion] [/accordions]', onclick: function() { editor.insertContent(this.value()); }
           		},
				// End Accordion
				// Tabs
				{
            		text: 'Tabs', value: '[tabs tab1="Title #1" tab2="Title #2" tab3="Title #3"] [tab1] Tab 1 content... [/tab1] [tab2] Tab 2 content... [/tab2] [tab3] Tab 3 content... [/tab3] [/tabs]', onclick: function() { editor.insertContent(this.value()); }
           		},
				// End Tabs
				// Alert box
						   {
                    text: 'Alert box',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Insert Alert box Shortcode',
                            body: [{
                                type: 'listbox',
                                name: 'style',
								tooltip: 'Alert Box style.',
                                label: 'Style',
                                'values': [
                                    {text: 'warning', value: 'warning'},
                                    {text: 'info', value: 'info'},
									{text: 'success', value: 'success'},
									{text: 'danger', value: 'danger'}
                                ]
                            },{
                                type: 'listbox',
                                name: 'clbut',
								tooltip: 'Show close button or not - yes, no.',
                                label: 'Close button',
                                'values': [
                                    {text: 'yes', value: 'yes'},
                                    {text: 'no', value: 'no'}
                                ]
                            },{
                                type: 'textbox',
                                name: 'clas',
                                label: 'Custom class',
								tooltip: 'Use this field if you want to use a custom class.'

                            }],
                            onsubmit: function( e ) {
                                editor.insertContent( '[alert_box style="' + e.data.style + '" close="' + e.data.clbut + '" custom_class="' + e.data.clas + '"]Hello, World![/alert_box]');
                            }
                        });
                    }
                },
				// End Alert box
		   ]
//End
        });
    });
})();
