<?php

/*-----------------------------------------------------------------------------------*/
# Register main Scripts and Styles
/*-----------------------------------------------------------------------------------*/
function bb_admin_register() {
    global $pagenow;

    wp_register_script( 'bb-admin-slider', get_template_directory_uri() . '/inc/extra/cat-option/js/jquery.ui.slider.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-mouse', 'jquery-ui-sortable' ) , false , false );  
    wp_register_script( 'bb-admin-main', get_template_directory_uri() . '/inc/extra/cat-option/js/bb-script.js', array( 'jquery' ) , false , false );  
    
	wp_register_script( 'bb-admin-colorpicker', get_template_directory_uri() . '/inc/extra/cat-option/js/colorpicker.js', array( 'jquery' ) , false , false );  
	
	wp_register_style( 'bb-style', get_template_directory_uri().'/inc/extra/cat-option/style.css', array(), '20120208', 'all' ); 
	wp_register_style( 'bb-fonts', get_template_directory_uri().'/inc/extra/cat-option/fonts.css', array(), '20120208', 'all' ); 

	if ( (isset( $_GET['page'] ) && $_GET['page'] == 'panel') || (  $pagenow == 'post-new.php' ) || (  $pagenow == 'post.php' )|| (  $pagenow == 'edit-tags.php' ) ) {
		wp_enqueue_script( 'bb-admin-colorpicker');  
		wp_enqueue_script( 'bb-admin-slider' );  
	}
	wp_enqueue_script( 'bb-admin-main' );
	wp_enqueue_style( 'bb-style' );
	wp_enqueue_style( 'bb-fonts' );

}
add_action( 'admin_enqueue_scripts', 'bb_admin_register' ); 



add_action ( 'edit_category_form_fields', 'bb_category_fields');
function bb_category_fields( $tag ) {    //check for existing featured ID
    $t_id = $tag->term_id;
	$cat_meta = get_option('bb_cat_'.$t_id);

	wp_print_scripts('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_style('thickbox');

	
		

?>
<tr class="form-field">
	<td colspan="2">
		<script type="text/javascript">
			jQuery(document).ready(function($) {
				jQuery('.on-of').checkbox({empty:'<?php echo get_template_directory_uri(); ?>/inc/extra/cat-option/images/empty.png'});
			});
			
			//To Fix WPML Bug
			jQuery( window ).load(function($) {
				var logo_settings = jQuery('input[name=logo_setting_save]').val();
					jQuery("#logo_setting-item input").each(function(){	
					if( jQuery(this).val() == logo_settings ) jQuery(this).attr('checked','checked');
			});
		 });
		</script>
		
		
		<div class="bb-item">
			<h3><?php echo theme_name ?> - Category Layout </h3>
			<div class="bb-item">
				<?php
				

				bb_cat_options(
					array( 	"name" => "Category Layout Setting",
							"id" => "cat_feature_setting",
							"type" => "radio",
							"cat" => $t_id ,
							"options" => array( 
								"feature_off"=>"Off" ,
								"feature-1-cat"=>"Blog Feature Parallax" ,
								"feature-2-cat"=>"Blog Feature Slider" ,
								"feature-3-cat"=>"Blog Feature Grid 1" ,
								"feature-4-cat"=>"Blog Feature Grid 2"  
								)));

?>
</div>
<?php
				bb_cat_options(
					array( 	"name" => "Category Layout Setting",
							"id" => "cat_layout_setting",
							"type" => "radio",
							"cat" => $t_id ,
							"options" => array( 
								"list-noimg"=>"Blog Grid (3col)" ,
								"list"=>"Blog List" ,
								"masonry"=>"Blog Masonry Full" ,
								"masonry2"=>"Blog Masonry + Sidebar" ,
								"2col"=>"Blog Large + Sidebar" 
								)));

				?>

		
	</div>
		<div class="bb-item">
			<h3><?php echo theme_name ?> - Category Style </h3>
			<?php
				bb_cat_options(				
					array(	"name" => "Main color",
							"id" => "cat_color",
							"cat" => $t_id ,
							"type" => "color" ));
								
				bb_cat_options(
					array(	"name" => "Background Image",
							"id" => "cat_background_img",
							"cat" => $t_id ,
							"type" => "background"));

				
				?>
		</div>
				
	</td>
</tr>
<?php
}


// save extra category extra fields hook
add_action ( 'edited_category', 'bb_save_extra_category_fileds');
   // save extra category extra fields callback function
function bb_save_extra_category_fileds( $term_id ) {
	
      if ( isset( $_POST['bb_cat'] ) ) {
     
        $t_id = $term_id;
        $cat_meta = get_option( "bb_cat_$t_id");
        $cat_keys = array_keys($_POST['bb_cat']);
  
        foreach ($cat_keys as $key){
            if (isset($_POST['bb_cat'][$key])){
                $cat_meta[$key] = $_POST['bb_cat'][$key];
            }
        }
   
        //save the option array
        update_option( "bb_cat_$t_id", $cat_meta );
    }
		
}




function bb_cat_options($value){
	global $options;
?>
	<div class="option-item" id="<?php echo esc_attr( $value['id'] )?>-item">
		<span class="label"><?php  echo esc_html( $value['name'] ) ; ?></span>
	<?php
	$cat_meta = get_option('bb_cat_'.$value['cat']);
	
	switch ( $value['type'] ) {

		case 'checkbox':
			if( !empty($cat_meta[$value['id']]) ){$checked = "checked=\"checked\"";  } else{$checked = "";} ?>
				<input class="on-of" type="checkbox" name="bb_cat[<?php echo esc_html( $value['id'] ); ?>]" id="<?php echo esc_html ($value['id']) ?>" value="true" <?php echo $checked; ?> />			
		<?php	
		break;
		
		case 'radio': 
		?>
			<div style="float:left; width: 295px;">
				<?php foreach ($value['options'] as $key => $option) {?>
				<label style="display:block; margin-bottom:8px;"><input  <?php if( !empty($cat_meta[$value['id']]) ) checked($cat_meta[$value['id']] , $key); ?> id="<?php echo esc_attr ($value['id']) ?>" name="bb_cat[<?php echo esc_attr ( $value['id'] ); ?>]" type="radio" value="<?php echo esc_attr ( $key )?>"> <?php echo esc_html ($option ); ?></label>
				<?php } ?>
			</div>
		<?php
		break;
		
		case 'select':
		?>
			<select name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>]" id="<?php echo esc_attr(  $value['id'] ); ?>">
				<?php foreach ($value['options'] as $key => $option) { ?>
				<option value="<?php echo esc_attr(  $key ) ?>" <?php if ( !empty( $cat_meta[$value['id']] ) && ( $cat_meta[$value['id']] == $key) ) { echo ' selected="selected"' ; } ?>><?php echo esc_html ($option ); ?></option>
				<?php } ?>
			</select>
		<?php
		break;
		
		case 'upload':
		?>
				<input id="<?php echo esc_html ( $value['id']); ?>" class="img-path" type="text" size="56" style="direction:ltr; text-laign:left" name="bb_cat[<?php echo esc_attr ( $value['id']); ?>]" value="<?php if( !empty($cat_meta[$value['id']]) ) echo esc_attr($cat_meta[$value['id']]); ?>" />
				<input id="upload_<?php echo esc_attr($value['id']); ?>_button" type="button" class="small_button" value="Upload" />
					
				<div id="<?php echo esc_attr( $value['id']); ?>-preview" class="img-preview" <?php if( empty( $cat_meta[$value['id']] ) ) echo 'style="display:none;"' ?>>
					<img src="<?php if( !empty( $cat_meta[$value['id']] ) ) echo esc_url($cat_meta[$value['id']]) ; else echo esc_url (get_template_directory_uri()).'/inc/extra/cat-option/images/spacer.png'; ?>" alt="" />
					<a class="del-img" title="Delete"></a>
				</div>
		<?php
		break;

	
		
		
		case 'background':
?>
				<input id="<?php echo esc_attr($value['id']); ?>-img" class="img-path" type="text" size="56" style="direction:ltr; text-align:left" name="bb_cat[<?php echo esc_attr( $value['id']); ?>][img]" value="<?php if( !empty($cat_meta[$value['id']]['img']) ) echo esc_attr($cat_meta[$value['id']]['img']); ?>" />
				<input id="upload_<?php echo esc_attr(  $value['id'] ); ?>_button" type="button" class="small_button" value="Upload" />
					
				<div style="margin-top:15px; clear:both">
					<div id="<?php echo esc_attr(  $value['id'] ); ?>colorSelector" class="color-pic"><div style="background-color:<?php if( !empty($cat_meta[$value['id']]['color']) ) echo $cat_meta[$value['id']]['color'] ; ?>"></div></div>
					<input style="width:80px; margin-right:5px;"  name="bb_cat[<?php echo esc_attr(  $value['id']); ?>][color]" id="<?php  echo esc_attr($value['id']); ?>color" type="text" value="<?php if( !empty($cat_meta[$value['id']]['color']) ) echo $cat_meta[$value['id']]['color'] ; ?>" />
					
					<select name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>][repeat]" id="<?php echo esc_attr(  $value['id'] ); ?>[repeat]" style="width:96px;">
						<option value="" <?php if ( empty ($cat_meta[$value['id']]['repeat']) ) { echo ' selected="selected"' ; } ?>></option>
						<option value="repeat" <?php if ( !empty($cat_meta[$value['id']]['repeat']) && $cat_meta[$value['id']]['repeat']  == 'repeat' ) { echo ' selected="selected"' ; } ?>>repeat</option>
						<option value="no-repeat" <?php if ( !empty($cat_meta[$value['id']]['repeat']) && $cat_meta[$value['id']]['repeat']  == 'no-repeat') { echo ' selected="selected"' ; } ?>>no-repeat</option>
						<option value="repeat-x" <?php if ( !empty($cat_meta[$value['id']]['repeat']) && $cat_meta[$value['id']]['repeat'] == 'repeat-x') { echo ' selected="selected"' ; } ?>>repeat-x</option>
						<option value="repeat-y" <?php if ( !empty($cat_meta[$value['id']]['repeat']) && $cat_meta[$value['id']]['repeat'] == 'repeat-y') { echo ' selected="selected"' ; } ?>>repeat-y</option>
					</select>

					<select name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>][attachment]" id="<?php echo esc_attr(  $value['id'] ); ?>[attachment]" style="width:96px;">
						<option value="" <?php if ( empty( $cat_meta[$value['id']]['attachment']) ) { echo ' selected="selected"' ; } ?>></option>
						<option value="fixed" <?php if ( !empty($cat_meta[$value['id']]['attachment']) && $cat_meta[$value['id']]['attachment']  == 'fixed' ) { echo ' selected="selected"' ; } ?>>Fixed</option>
						<option value="scroll" <?php if ( !empty($cat_meta[$value['id']]['attachment']) && $cat_meta[$value['id']]['attachment']  == 'scroll') { echo ' selected="selected"' ; } ?>>scroll</option>
					</select>
					
					<select name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>][hor]" id="<?php echo esc_attr(  $value['id'] ); ?>[hor]" style="width:96px;">
						<option value="" <?php if ( empty($cat_meta[$value['id']]['hor']) ) { echo ' selected="selected"' ; } ?>></option>
						<option value="left" <?php if ( !empty($cat_meta[$value['id']]['hor']) && $cat_meta[$value['id']]['hor']  == 'left' ) { echo ' selected="selected"' ; } ?>>Left</option>
						<option value="right" <?php if ( !empty($cat_meta[$value['id']]['hor']) && $cat_meta[$value['id']]['hor']  == 'right') { echo ' selected="selected"' ; } ?>>Right</option>
						<option value="center" <?php if ( !empty($cat_meta[$value['id']]['hor']) && $cat_meta[$value['id']]['hor'] == 'center') { echo ' selected="selected"' ; } ?>>Center</option>
					</select>
					
					<select name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>][ver]" id="<?php echo esc_attr(  $value['id'] ); ?>[ver]" style="width:100px;">
						<option value="" <?php if ( empty($cat_meta[$value['id']]['ver'] )) { echo ' selected="selected"' ; } ?>></option>
						<option value="top" <?php if ( !empty($cat_meta[$value['id']]['ver']) &&  $cat_meta[$value['id']]['ver']  == 'top' ) { echo ' selected="selected"' ; } ?>>Top</option>
						<option value="center" <?php if ( !empty($cat_meta[$value['id']]['ver']) && $cat_meta[$value['id']]['ver'] == 'center') { echo ' selected="selected"' ; } ?>>Center</option>
						<option value="bottom" <?php if ( !empty($cat_meta[$value['id']]['ver']) && $cat_meta[$value['id']]['ver']  == 'bottom') { echo ' selected="selected"' ; } ?>>Bottom</option>

					</select>
				</div>
				<div id="<?php echo esc_attr(  $value['id'] ); ?>-preview" class="img-preview" <?php if( empty($cat_meta[$value['id']]['img'])  ) echo 'style="display:none;"' ?>>
					<img src="<?php if( !empty( $cat_meta[$value['id']]['img']) ) echo $cat_meta[$value['id']]['img'] ; else echo get_template_directory_uri().'/panel/images/spacer.png'; ?>" alt="" />
					<a class="del-img" title="Delete"></a>
				</div>
					
				<script>
				jQuery('#<?php echo esc_js(  $value['id'] ); ?>colorSelector').ColorPicker({
					color: '<?php if( !empty($cat_meta[$value['id']]['color']) ) echo $cat_meta[$value['id']]['color'] ; ?>',
					onShow: function (colpkr) {
						jQuery(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						jQuery(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						jQuery('#<?php echo esc_js(  $value['id'] ); ?>colorSelector div').css('backgroundColor', '#' + hex);
						jQuery('#<?php echo esc_js(  $value['id'] ); ?>color').val('#'+hex);
					}
				});
				bb_styling_uploader('<?php echo esc_js(  $value['id'] ); ?>');
				</script>
		<?php
		break;
		
		
		case 'color':
		?>
			<div id="<?php echo esc_attr(  $value['id'] ); ?>colorSelector" class="color-pic"><div style="background-color:<?php if( !empty( $cat_meta[$value['id']] ) ) echo $cat_meta[$value['id']] ; ?>"></div></div>
			<input style="width:80px; margin-right:5px;"  name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>]" id="<?php echo esc_attr(  $value['id'] ); ?>" type="text" value="<?php if( !empty( $cat_meta[$value['id']] ) ) echo $cat_meta[$value['id']]; ?>" />
							
			<script>
				jQuery('#<?php echo esc_js(  $value['id'] ); ?>colorSelector').ColorPicker({
					color: '<?php if( !empty( $cat_meta[$value['id']] ) ) echo $cat_meta[$value['id']] ; ?>',
					onShow: function (colpkr) {
						jQuery(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						jQuery(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						jQuery('#<?php echo esc_js(  $value['id'] ); ?>colorSelector div').css('backgroundColor', '#' + hex);
						jQuery('#<?php echo esc_js(  $value['id'] ); ?>').val('#'+hex);
					}
				});
				</script>
		<?php
		break;
		case 'short-text': ?>
			<input style="width:50px" name="bb_cat[<?php echo esc_attr(  $value['id'] ); ?>]" id="<?php  echo esc_attr(  $value['id'] ); ?>" type="text" value="<?php if( !empty( $cat_meta[$value['id']]) ) echo $cat_meta[$value['id']]; ?>" />
		<?php 
		break;	
           ?>


		<?php 	
}
		if( !empty( $value['extra_text'] ) ) { ?><span class="extra-text"><?php echo esc_html($value['extra_text']) ?></span><?php }
?>
</div>
			
<?php
}
?>
<?php  


/* =========================================== 
function Display Category style 
============================================*/

function bb_cat_style () {
$output = '';
global $post ;

if( is_category() || is_singular() || is_front_page() || is_home() ): 
	if( is_category() ){

	$category_id = get_query_var('cat') ;
	$cat_meta = get_option( "bb_cat_$category_id");

	if( !empty($cat_meta['cat_background_img']) ){ $cat_bg = $cat_meta['cat_background_img']; } else { $cat_bg = "";}

	if ( !empty ($cat_bg['img']) | !empty ($cat_bg['repeat']) | !empty ($cat_bg['attachment']) | !empty ($cat_bg['hor']) | !empty ($cat_bg['color']) | !empty ($cat_bg['ver']) ){
		   	
   	{
    $output .=
		'
		body
		{
        background-color: '.$cat_bg['color'].' !important;
        background-repeat:'.$cat_bg['repeat'].' !important;
        background-attachment:'.$cat_bg['attachment'].' !important;
        background-position:'.$cat_bg['hor'].' '.$cat_bg['ver'].' !important;
        background-image:url('.$cat_bg['img'].') !important;
		}
		';
   	}
   }

/*==========================================================================*/
		if( !empty($cat_meta['cat_color']) ){
			$cat_color = $cat_meta['cat_color'];
		} else {

		  $cat_color = "";
		}
		
		

		{
				
				$output .=
				'
				a.more,				
				span.cat-fe a,
				.the-time,
				.ticker-title span,
				.pagination .page-numbers.current,
				.owl-theme .owl-pagination .owl-dot.active span,
				.scrollToTop
							
				{background-color:' . $cat_color . '}
				';

				$output .=
				'
				a
				{color: ' . $cat_color . ';}
				';
				$output .=
				'
				.puerto-menu li div.x-mega-menu ul.sub-links li a strong,
				a.cart-contents span,
				h3.head, .headauthor span
				{color: ' . $cat_color . ' !important;}
				';

				$output .=
				'
				.the-time:before 
				{border-color: transparent transparent ' . $cat_color . ' transparent;}
				';
				$output .=
				'
				.ticker-title span:after
				{border-color:' . $cat_color . ' transparent transparent  transparent;}
				';
				$output .=
				'
				.home-widget ul li:before
				{border-color: transparent transparent  transparent ' . $cat_color . ';}
				';
				



		}
	}
endif;

if ( $output != '' ) {
			$output = '<style>' . $output . '</style>';
			echo $output;
		}
	}

add_action('wp_head', 'bb_cat_style');


/* =========================================== 
function Display Category Name Background Color
============================================*/

function bb_cat_display ($extra = ''){
    global $pagenow;
?>
<span class="cat-fe">
	<?php
	$cats = get_the_category();
	foreach( $cats as $cat ) { $cb_cat_id = $cat->term_id ;$cat_meta = get_option( "bb_cat_$cb_cat_id");$cat_color = $cat_meta['cat_color'];
	?>
	<a href="<?php echo get_category_link($cat->term_id); ?>" style="background-color:<?php  echo $cat_color  ?>;"><?php echo $cat->name; ?></a>
	<?php } ?>
</span>
<?php
}

function bb_cat_display_2 ($extra = ''){
    global $pagenow;
?>
<span class="post-cat">
	<?php
	$cats = get_the_category();
	foreach( $cats as $cat ) { $cb_cat_id = $cat->term_id ;$cat_meta = get_option( "bb_cat_$cb_cat_id");$cat_color = $cat_meta['cat_color'];
	?>
	<a href="<?php echo get_category_link($cat->term_id); ?>" style="background-color:<?php  echo $cat_color  ?>;"><?php echo $cat->name; ?></a>
	<?php } ?>
</span>
<?php
}

/* ==========================================
function Display Category More Color
============================================*/
function bb_more_display (){
    global $pagenow;   
?>
<?php 
$cats = get_the_category();
foreach( $cats as $cat ) { $cb_cat_id = $cat->term_id ;$cat_meta = get_option( "bb_cat_$cb_cat_id");$cat_color = $cat_meta['cat_color'];
?>
<?php } ?>
<a class="more" href="<?php the_permalink(); ?>" rel="bookmark" style="background-color:<?php  echo $cat_color  ?>;">
<?php _e('more ','BB' ); ?><i class="fa fa-arrow-circle-right"></i>
</a>
<?php
}

/* ==========================================
function Display Category Ads
============================================*/
function bb_cat_ads(){
	if(ot_get_option('bb_cat_banner_code')) { 
?>
<div id="leader-wrapper-post" class="center">
   <div id="ad-970-post-cat">
     <?php $ad970 = ot_get_option('bb_cat_banner_code'); if ($ad970) { echo stripslashes($ad970); } ?>
   </div><!-- #ad-970-post -->
     <div class="ad-300-header center">
          <?php $ad300 = ot_get_option('bb_header_banner_small_code'); if ($ad300) { echo stripslashes($ad300); } ?>
        </div><!--ad-300-->
</div><!-- #leader-wrapper-post -->
<?php
		
  }
}

