<?php

defined('ABSPATH') or die("No script kiddies please!");

/**
 * Plugin Name: WP-SOCIAL-COUNTER.
 * Plugin URI: http://wp-bbosa.com
 * Description: Show Count OF Fans OF Social Site.
 * Version:  1.0.0
 * Author: bbosa
 * Author URI: http://themeforest.net/user/bbosa
 * Text Domain: BB
 * License:  GPL2
 */
/*  Copyright 2014  bbosa  (email : bbosa1@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*Twitter followers count
==============================================================================*/
function bb_counter_twitter ($user) {
$count =  get_transient('bb_twitter_followers');
if ($count !== false) return $count;
$count = 0;
if (ot_get_option('twitter_ck') != '' && ot_get_option('twitter_cs') != '' && ot_get_option('twitter_at') != '' && ot_get_option('twitter_ats') != '') {


$settings = array(
'consumer_key' => ot_get_option('twitter_ck'),
'consumer_secret' => ot_get_option('twitter_cs'),
'oauth_access_token' => ot_get_option('twitter_at'),
'oauth_access_token_secret' => ot_get_option('twitter_ats'),
);

$ta_url = 'https://api.twitter.com/1.1/statuses/user_timeline.json';
$getfield = '?screen_name='.$user;
$requestMethod = 'GET';
$twittern = new TwitterAPIExchange($settings);
$follow_count=$twittern->setGetfield($getfield)
->buildOauth($ta_url, $requestMethod)
->performRequest();
$data = json_decode($follow_count, true);
$count = $data[0]['user']['followers_count'];
}
set_transient('bb_twitter_followers', $count, 60*60*24);
return $count;
}

/*facebook fans count
=========================================================================*/
function bb_counter_facebook ($page_id, $return = 'count') {
$count =  get_transient('bb_facebook_followers');
$link =  get_transient('bb_facebook_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://graph.facebook.com/' . $page_id);
  if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['likes']);
    $link = $json['link'];
                set_transient('bb_facebook_followers', $count, 3600);
                set_transient('bb_facebook_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*googleplus fans count
====================================================================*/
function bb_counter_googleplus ($page_id, $return = 'count') {

$count =  get_transient('bb_googleplus_followers');
$link =  get_transient('bb_googleplus_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$api_key = ot_get_option('googlep_api_key');
$data = wp_remote_get('https://www.googleapis.com/plus/v1/people/'.$page_id.'?key='.$api_key);
  if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = isset($json['circledByCount']) ? intval($json['circledByCount']) : intval($json['plusOneCount']);
    $link = $json['url'];
                set_transient('bb_googleplus_followers', $count, 3600);
                set_transient('bb_googleplus_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*dribbble fans count
====================================================================*/

function bb_counter_dribbble ($dribbble, $return = 'count') {

$count =  get_transient('dribbble_followers');
$link =  get_transient('dribbble_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://api.dribbble.com/players/'.$dribbble);
  if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['followers_count']);
    $link = $json['url'];
                set_transient('dribbble_followers', $count, 3600);
                set_transient('dribbble_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*youtube fans count
====================================================================*/

function bb_counter_youtube ($youtube, $return = 'count') {

$count =  get_transient('bb_youtube_followers');
$link =  get_transient('bb_youtube_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://gdata.youtube.com/feeds/api/users/'.$youtube.'?alt=json');
  if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['entry']['yt$statistics']['subscriberCount']);
    $link = $json['entry']['link'][0]['href'];
                set_transient('bb_youtube_followers', $count, 3600);
                set_transient('bb_youtube_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*vimeo fans count
====================================================================*/

function bb_counter_vimeo ($vimeo, $return = 'count') {
   
$count =  get_transient('bb_vimeo_followers');
$link =  get_transient('bb_vimeo_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://vimeo.com/api/v2/channel/'.$vimeo.'/info.json');
  if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['total_subscribers']);
    $link = $json['url'];
                set_transient('bb_vimeo_followers', $count, 3600);
                set_transient('bb_vimeo_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*soundcloud fans count
====================================================================*/

function bb_counter_soundcloud ($soundcloud, $return = 'count') {
   
$count =  get_transient('bb_soundcloud_followers');
$link =  get_transient('bb_soundcloud_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$client_id = ot_get_option('soundcloud_client_id');
if ($client_id != '') {
$data = wp_remote_get('http://api.soundcloud.com/users/'.$soundcloud.'.json?client_id='.$client_id);
    if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['followers_count']);
    $link = $json['permalink_url'];
                set_transient('bb_soundcloud_followers', $count, 3600);
                set_transient('bb_soundcloud_page_url', $link, 3600);
    }
}
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}


/*behance fans count
====================================================================*/

function bb_counter_behance ($behance, $return = 'count') {
   
$count =  get_transient('bb_behance_followers');
$link =  get_transient('bb_behance_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$api_key = ot_get_option('behance_api_key');
if ($api_key != '') {
$data = wp_remote_get('https://www.behance.net/v2/users/'.$behance.'?api_key='.$api_key);
    if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json['user']['stats']['followers']);
    $link = $json['user']['url'];
                set_transient('bb_behance_followers', $count, 3600);
                set_transient('bb_behance_page_url', $link, 3600);
    }
}
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}


/*instagram fans count
====================================================================*/

function bb_counter_instagram ($instagram, $return = 'count') {
   
$count =  get_transient('bb_instagram_followers');
$link =  get_transient('bb_instagram_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$access_token = ot_get_option('instagram_access_token');
$instID = '';
if ($access_token != '') {
//instagram
$instID_url = wp_remote_get('https://api.instagram.com/v1/users/search?q='.$instagram.'&access_token='.$access_token);
    if (!is_wp_error($instID_url)) {
$instID_json = json_decode( $instID_url['body'], true );
$instID = $instID_json['data'][0]['id'];
    }
$data = wp_remote_get('https://api.instagram.com/v1/users/'.$instID.'/?access_token='.$access_token);
    if (!is_wp_error($data)) {
        $json = json_decode( $data['body'], true );
        $count = intval($json['data']['counts']['followed_by']);
        $link = 'http://instagram.com/'.$instagram;
        set_transient('bb_instagram_followers', $count, 3600);
        set_transient('bb_instagram_page_url', $link, 3600);
    } 
}
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}


/*delicious fans count
====================================================================*/

function bb_counter_delicious ($delicious, $return = 'count') {
   
$count =  get_transient('bb_delicious_followers');
$link =  get_transient('bb_delicious_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://feeds.delicious.com/v2/json/userinfo/'.$delicious);
    if (!is_wp_error($data)) {
    $json = json_decode( $data['body'], true );
    $count = intval($json[2]['n']);
    $link = 'https://delicious.com/'.$delicious;
                set_transient('bb_delicious_followers', $count, 3600);
                set_transient('bb_delicious_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}

/*pinterest fans count
====================================================================*/

function bb_counter_pinterest ($pinterest) {
    
        $count =  get_transient('bb_pinterest_followers');
        if ($count !== false) return $count;
        
  $pin_metas = get_meta_tags($pinterest);
  if (isset($pin_metas['pinterestapp:followers'])) {
    $count = $pin_metas['pinterestapp:followers'];
  } else {
    $count = $pin_metas['followers'];
  }
        set_transient('bb_pinterest_followers', $count, 3600);
        return $count;        

}
if ('widgets.php' == basename($_SERVER['PHP_SELF'])) {
        add_action( 'admin_enqueue_scripts', 'bb_scw_admin_script');
}
function bb_scw_admin_script(){
    wp_enqueue_script( 'social-counter-widget', get_template_directory_uri() . '/inc/widgets/js/social-counter.js', array('jquery'));
    wp_localize_script( 'social-counter-widget', 'MomSCW', array(
    'url' => admin_url( 'admin-ajax.php' ),
    'nonce' => wp_create_nonce( 'ajax-nonce' ),
    )
  );
}
  // ajax Action
add_action( 'wp_ajax_bb_scwdc', 'bb_social_counter_delete_cache' );  

function bb_social_counter_delete_cache () {
// stay away from bad guys 
$nonce = $_POST['nonce'];
if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
die ( 'Nope!' );
        
        delete_transient('bb_twitter_followers');
        delete_transient('bb_facebook_followers');
        delete_transient('bb_facebook_page_url');
        delete_transient('bb_googleplus_followers');
        delete_transient('bb_googleplus_page_url');
        delete_transient('bb_dribbble_followers');
        delete_transient('bb_dribbble_page_url');
        delete_transient('bb_youtube_followers');
        delete_transient('bb_youtube_page_url');
        delete_transient('bb_vimeo_followers');
        delete_transient('bb_vimeo_page_url');
        delete_transient('bb_soundcloud_followers');
        delete_transient('bb_soundcloud_page_url');
        delete_transient('bb_behance_followers');
        delete_transient('bb_behance_page_url');
        delete_transient('bb_instagram_followers');
        delete_transient('bb_instagram_page_url');
        delete_transient('bb_delicious_followers');
        delete_transient('bb_delicious_page_url');
        delete_transient('bb_pinterest_followers');
        echo 'success';
        exit();
}



