<?php
if ( ! function_exists( 'BB_list_authors' ) ) :

function BB_list_authors() {
	$contributor_ids = get_users( array(
		'fields'  => 'ID',
		'orderby' => 'post_count',
		'order'   => 'DESC',
		'who'     => 'authors',
	) );

	foreach ( $contributor_ids as $contributor_id ) :
		$post_count = count_user_posts( $contributor_id );

		// Move on if user has not published a post (yet).
		if ( ! $post_count ) {
			continue;
		}
	?>
<?php
    // Retrieve The Post's Author ID
    // $user_id = get_the_author_meta('ID');
    // Set the image size. Accepts all registered images sizes and array(int, int)
    $size = array('200', '200');

    // Get the image URL using the author ID and image size params
    $imgURL = get_cupp_meta($contributor_id, $size);

    // Print the image on the page
    
?>
<div class="row">
	<div class="contributor col-md-12 animated zoomIn">
		<div class="contributor-info">
			<div class="contributor-avatar col-md-4">

			<?php
			 if (get_the_author_meta( 'cupp_upload_meta', $contributor_id, true )) {
			 	echo '<img src="'. $imgURL .'" alt="">';
			 }  else {
			 	echo  get_avatar( $contributor_id, 200 );
			 }
			  
			 ?>
			</div>
			<div class="contributor-summary col-md-8">
				<h2 class="contributor-name"><?php echo get_the_author_meta( 'display_name', $contributor_id ); ?></h2>
				<a class="button contributor-posts-link trans" href="<?php echo esc_url( get_author_posts_url( $contributor_id ) ); ?>">
				<i class="fa fa-pencil-square-o"></i>	<?php printf( _n( '%d Article', '%d Articles', $post_count, 'BB' ), $post_count ); ?>
				</a>

			</div><!-- .contributor-summary -->
		</div><!-- .contributor-info -->
	</div><!-- .contributor -->
</div>
	<?php
	endforeach;
}
endif;