<?php 
/*==========  PostFormat  ==========*/
add_filter( 'use_default_gallery_style', '__return_false' );
/*---------------------------------------------------------------------------------
 load wp gallery_post function
-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'BB_gallery_post' ) ) {
     
    function BB_gallery_post($BB_id) {
        $BB_id = get_the_ID() ;
        $bb_output = '<div id="cb-gallery-post">'; 
        $bb_gallery = rwmb_meta( 'BB_gallery_content', $args = array('type' => 'image'), $BB_id );
        
        if ($bb_gallery != NULL) {
            
            $bb_output .= '  <div id="slider" class="">
                                <div class="slides owl-carousel">';
            
            
            foreach ($bb_gallery as $bb_img) {
                
                $bb_thumbnail_image = wp_get_attachment_image_src($bb_img['ID'],  'BB-');
                $bb_output .= ' <a href="'. $bb_thumbnail_image[0] .'">';
                $bb_output .= '<img class="wp-slider" src="'. $bb_thumbnail_image[0] .'" />';
                $bb_output .= '</a>';
            }
            
            $bb_output .= '</div></div>';
           
          
        }
        $bb_output .= '</div>';         
        return $bb_output;
    }
}

if( !(function_exists( 'sf_post_gallery' ) ) ) { 
    add_filter('post_gallery', 'sf_post_gallery', 10, 2);

    function sf_post_gallery($null, $attr = array()) {
        global $post, $wp_locale;
        static $instance = 0;
        $instance++;
        
        if ( isset( $attr['orderby'] ) ) {
            $attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
            if ( !$attr['orderby'] )
            unset( $attr['orderby'] );
        }
        extract(shortcode_atts(array(
            'order'      => 'ASC',
            'orderby'    => 'menu_order ID',
            'id'         => $post->ID,
            'itemtag'    => 'figure',
            'captiontag' => 'figcaption',
            'columns'    => 3,
            'size'       => 'big-size',
            'include'    => '',
            'exclude'    => ''
        ), $attr));
        
        $id = intval($id);
        if ( 'RAND' == $order )
        $orderby = 'none';
        
        if ( !empty($include) ) {
            $include = preg_replace( '/[^0-9,]+/', '', $include );
            $_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
            $attachments = array();
            foreach ( $_attachments as $key => $val ) {
                $attachments[$val->ID] = $_attachments[$key];
            }
        } elseif ( !empty($exclude) ) {
            $exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
            $attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
        } else {
            $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
        }
        
        if ( empty($attachments) )
        return '';
        
        if ( is_feed() ) {
            $output = "\n";
            foreach ( $attachments as $att_id => $attachment )
                $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
            return $output;
        }
        
        $itemtag = tag_escape($itemtag);
        $captiontag = tag_escape($captiontag);
        $float = is_rtl() ? 'right' : 'left';
        
        $output = "<div id='gallery-{$instance}' class='gallery galleryid-{$id} clearfix'>";
        
        if($itemtag != '' && $captiontag != '') {
            $i = 0;
            foreach ( $attachments as $id => $attachment ) {
                $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, false, false);
                
                $output .= "<{$itemtag} class='gallery-item'>";
                $output .= "$link";
                
                if ( $captiontag && trim($attachment->post_excerpt) ) {
                    $output .= "
                    <{$captiontag} class='gallery-caption'>
                    " . $attachment->post_excerpt . "
                    </{$captiontag}>";
                }
                $output .= "</{$itemtag}>";
            
            }
        }
        
        $output .= "</div>\n";
        return $output;
    }
}
/*---------------------------------------------------------------------------------
 load wp video_post function
-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'BB_video_post' ) ) {
     
    function BB_video_post($BB_id) {
         $video_url = get_post_meta( get_the_ID(), 'BB_video_embed_code_post', true );
         echo $video_url;
    }
}
/*---------------------------------------------------------------------------------
 load wp audio_post function
-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'BB_audio_post' ) ) {
     
    function BB_audio_post($BB_id) {
         $audio_url = get_post_meta( get_the_ID(), 'BB_soundcloud_embed_code_post', true );
         echo $audio_url;
    }
}

/*---------------------------------------------------------------------------------
 Get The wp Post Format Icon :)
-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'BB_format_icon' ) ){

    function BB_format_icon(){

       $output ='';
      
       if ( 'gallery' == get_post_format() ){
        $output = '<span class="bb-gallery"></span>';
       }
             
       if ( 'video' == get_post_format() ){
        $output = '<span class="bb-video"></span>';
       }


        if ( 'audio' == get_post_format() ){
        $output = '<span class="bb-audio"></span>';
       }


       return $output;

    }
}