<?php

/**
 * Walker class for for dropdown menu with latest posts
**/


/* Start Menu Walker */
class BB_Menu extends Walker_Nav_Menu {

    function start_lvl(&$output, $depth = 0, $args = array()) {
       if ( $depth > 3 ) { return; }
       if ( $depth == 2 )  { $output .= '<ul class="x-grandchild-menu x-great-grandchild-menu">'; }
       if ( $depth == 1 )  { $output .= '<ul class="x-grandchild-menu">'; }
       if ( $depth == 0 )  { $output .= '<ul class="sub-links">'; }

    }

    function end_lvl(&$output, $depth = 0, $args = array()) {
        if ( $depth > 3 ) { return; }
        if ( $depth == 0 ) { $output .= '</ul>'; }
        if ( $depth == 1 ) { $output .= '</ul>'; }
        if ( $depth == 2 ) { $output .= '</ul>'; }
    }

    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0) {

    global $wp_query;
    $cat = $item->object_id;
    $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
    $class_names = $value = '';
    $classes = empty( $item->classes ) ? array() : (array) $item->classes;
    $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
    $class_names = ' class="' . esc_attr( $class_names ) . '"';

    $menu_color = $item->mcolor;
    $menu_custom =$item->bcustom;
    if($depth === 0){
   
    $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'style="border-bottom:3px solid'.$menu_color.';">';
    
    } else {
     
     $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';
    
    }
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

    $item_output = $args->before;
    $item_output .= '<a'. $attributes .' class="hover">';
    $item_output .= $args->link_before .'<strong>'. apply_filters( 'the_title', $item->title, $item->ID ) . '</strong>'.$args->link_after;
    $item_output .= '<span class="menu-bcustom" style="background:'.$menu_color.';">'.$menu_custom.'</span>';
    $item_output .= '</a>';
    $item_output .= $args->after;
    $children = get_posts(array('post_type' => 'nav_menu_item', 'nopaging' => true, 'numberposts' => 1, 'meta_key' => '_menu_item_menu_item_parent', 'meta_value' => $item->ID));
    $children = get_posts(array('post_type' => 'nav_menu_item', 'nopaging' => true, 'numberposts' => 1, 'meta_key' => '_menu_item_menu_item_parent', 'meta_value' => $item->ID));
    $object =$item->object_id;
    $bb_cat_menu = $item->bbmegamenu;

     if ( $bb_cat_menu == 3 && (  $item->menu_item_parent == '0' ) ) { $item_output .= '<div class="x-mega-menu" style="background:'.$menu_color.';">'; }
     if ( $bb_cat_menu == 4 && (  $item->menu_item_parent == '0' ) ) { $item_output .= '<div class="sub-menu" style="background:'.$menu_color.';">'; }
     if ( $bb_cat_menu == 1 && (  $item->menu_item_parent == '0' ) ) { $item_output .= '<div class="sub-menu" style="background:'.$menu_color.';">'; }
        $item_output .= $args->after;


    /* Add Mega menu only for:style-2
     * Parent category && For categories
     */
    if ( $depth == 0 && $item->object == 'category' ) {


      if ( $bb_cat_menu == 4 && (  $item->menu_item_parent == '0' ) ) {

        $item_output .= '<ul class="sub-posts">';


          global $post;
          $post_args = array( 'numberposts' => 2, 'offset'=> 0, 'category' => $cat );
          $menuposts = get_posts( $post_args );

          foreach( $menuposts as $post ) : setup_postdata( $post );

            $post_title = get_the_title();
            $post_link = get_permalink();
            $post_excerpt = excerpt(15);
            $post_format =   BB_format_icon();
            $post_author = get_the_author_link();
            $time = human_time_diff( get_the_time('U'), current_time('timestamp') );
            $post_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "BB-p" );
            if ( $post_image ){
              $menu_post_image = '<img src="' . $post_image[0]. '" alt="' . $post_title . '"  />';
            } else {
              $menu_post_image = '<img src="' . get_template_directory_uri() . '/images/default-image.png" alt="' . $post_title . '" />';
            }


            $item_output .= '
                <li class="col-md-4">
            <article class="entry style-media media item-post col-md-12 padd-mega">
                <figure class="media-object mas2">                   

                  <a href="'.$post_link.'">
                  <img class="meg-imgs" src="' . $post_image[0]. '" alt="' . $post_title . '">
                   </a>
                   '.$post_format.'
                   
                      <div class="feature-title">
                     
                         <h2 class="megas">
                            <a href="'.$post_link.'">' . $post_title . '</a>
                        </h2>
                      <div class="">
                       <p>'.$post_excerpt.'</p>
                        <a class="mores" href="'.$post_link.'">read more</a>
                   </div>   
                </div>
                </figure>


            </article>
                </li>';


         
          endforeach;
          wp_reset_query();
           global $post;
          $post_args = array( 'numberposts' => 4, 'offset'=> 2, 'category' => $cat );
          $menuposts = get_posts( $post_args );

          foreach( $menuposts as $post ) : setup_postdata( $post );

            $post_title = get_the_title();
            $post_link = get_permalink();
            $post_format =   BB_format_icon();
            $post_author = get_the_author_link();
            $time = human_time_diff( get_the_time('U'), current_time('timestamp') );
            $post_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "BB-3" );
            if ( $post_image ){
              $menu_post_image = '<img src="' . $post_image[0]. '" alt="' . $post_title . '"  />';
            } else {
              $menu_post_image = '<img src="' . get_template_directory_uri() . '/images/default-image.png" alt="' . $post_title . '" />';
            }


            $item_output .= '
                <li class="col-md-4">
            <article class="bb-list-mega">
              <div class="col-md-4 col-xs-4 list-img">
             
                <figure class="media-object mas2">                   

                  <a href="'.$post_link.'">
                  <img class="meg-imgs" src="' . $post_image[0]. '" alt="' . $post_title . '">
                   </a>
                   '.$post_format.'
                  
                   
                </figure>
                </div>
             
             <div class="col-md-8 col-xs-8"> 
             <div class="pad-list row"> 
                   <div class="entry-header-megas">
                     
                         <h3>
                            <a href="'.$post_link.'">' . $post_title . '</a>
                        </h3>
                      <span class="cat-fe-mega">'.$time.'</span>   
                </div>
               </div> 
              </div>
            </article>
           </li>';

          endforeach;
          wp_reset_query();

          $item_output .= '</ul>';
      }


      
    /* Add Mega menu only for:style-1
     * Parent category && For categories
     */

       if ( $bb_cat_menu == 1 && (  $item->menu_item_parent == '0' ) ) {

        $item_output .= '<ul class="sub-posts">';



          global $post;
          $post_args = array( 'numberposts' => 4, 'offset'=> 0, 'category' => $cat );
          $menuposts = get_posts( $post_args );

          foreach( $menuposts as $post ) : setup_postdata( $post );

           $post_title = get_the_title();
            $post_link = get_permalink();
            $post_format =   BB_format_icon();
            $post_author = get_the_author_link();
            $time = human_time_diff( get_the_time('U'), current_time('timestamp') );
            $post_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "BB-3" );
            if ( $post_image ){
              $menu_post_image = '<img src="' . $post_image[0]. '" alt="' . $post_title . '"  />';
            } else {
              $menu_post_image = '<img src="' . get_template_directory_uri() . '/images/default-image.png" alt="' . $post_title . '" />';
            }


            $item_output .= '
                <li class="col-md-3">
            <article class="entry style-media media item-post col-md-12">
                <figure class="media-object mas2">                   

                  <a href="'.$post_link.'">
                  <img class="meg-imgs" src="' . $post_image[0]. '" alt="' . $post_title . '">
                   </a>
                   '.$post_format.'
                 
                </figure>
                   <div class="entry-header-megas">
                     
                         <h3>
                            <a href="'.$post_link.'">' . $post_title . '</a>
                        </h3>
                      
                </div>

            </article>
                </li>';

          endforeach;
          wp_reset_query();

        $item_output .= '</ul>';
      }

    }
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }


    function end_el( &$output, $item, $depth = 0, $args = array() ) {


    $object =$item->object_id;
    $bb_cat_menu = $item->bbmegamenu;
    if ( $bb_cat_menu == 4 && (  $item->menu_item_parent == '0' ) ) { $output .= "</div>\n"; }
    if ( $bb_cat_menu == 1 && (  $item->menu_item_parent == '0' ) ) { $output .= "</div>\n"; }
     if ( $bb_cat_menu == 3 && (  $item->menu_item_parent == '0' ) ) { $output .= "</div>\n"; }
    $output .= "</li>\n";
    }

}








class bb_walker_backend extends Walker_Nav_Menu {
    function start_lvl( &$output, $depth = 0, $args = array() ) {}
    function end_lvl( &$output, $depth = 0, $args = array() ) {}

    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        global $_wp_nav_menu_max_depth;
        $_wp_nav_menu_max_depth = $depth > $_wp_nav_menu_max_depth ? $depth : $_wp_nav_menu_max_depth;

        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

        ob_start();
        $item_id = esc_attr( $item->ID );
        if (empty($item->bbmegamenu[0])) {
            $bb_item_megamenu = NULL;
        } else {
            $bb_item_megamenu = esc_attr ($item->bbmegamenu[0]);
        }
        $removed_args = array( 'action','customlink-tab', 'edit-menu-item', 'menu-item', 'page-tab',  '_wpnonce', );

        $original_title = '';
        if ( 'taxonomy' == $item->type ) {
            $original_title = get_term_field( 'name', $item->object_id, $item->object, 'raw' );
            if ( is_wp_error( $original_title ) )
                $original_title = false;
        } elseif ( 'post_type' == $item->type ) {
            $original_object = get_post( $item->object_id );
            $original_title = $original_object->post_title;
        }

        $classes = array(
            'menu-item menu-item-depth-' . $depth,
            'menu-item-' . esc_attr( $item->object ),
            'menu-item-edit-' . ( ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? 'active' : 'inactive'),
        );

        $title = $item->title;

        if ( ! empty( $item->_invalid ) ) {
            $classes[] = 'menu-item-invalid';
            /* translators: %s: title of menu item which is invalid */
            $title = sprintf( __( '%s (Invalid)' , 'BB'), $item->title );
        } elseif ( isset( $item->post_status ) && 'draft' == $item->post_status ) {
            $classes[] = 'pending';
            /* translators: %s: title of menu item in draft status */
            $title = sprintf( __('%s (Pending)' , 'BB'), $item->title);
        }

        $title = ( ! isset( $item->label ) || '' == $item->label ) ? $title : $item->label;

        $submenu_text = '';
        if ( 0 == $depth )
            $submenu_text = 'style="display: none;"';

        ?>
        <li id="menu-item-<?php echo $item_id; ?>" class="<?php echo implode(' ', $classes ); ?>">
            <dl class="menu-item-bar">
                <dt class="menu-item-handle">
                    <span class="item-title"><span class="menu-item-title"><?php echo esc_html( $title ); ?></span> <span class="is-submenu" <?php echo $submenu_text; ?>><?php _e( 'sub item' , 'BB'); ?></span></span>
                    <span class="item-controls">
                        <span class="item-type"><?php echo esc_html( $item->type_label ); ?></span>
                        <span class="item-order hide-if-js">
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-up-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-up"><abbr title="<?php esc_attr_e('Move up', 'BB'); ?>">&#8593;</abbr></a>
                            |
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-down-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-down"><abbr title="<?php esc_attr_e('Move down', 'BB'); ?>">&#8595;</abbr></a>
                        </span>
                        <a class="item-edit" id="edit-<?php echo $item_id; ?>" title="<?php esc_attr_e('Edit Menu Item'); ?>" href="<?php
                            echo ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? admin_url( 'nav-menus.php' ) : add_query_arg( 'edit-menu-item', $item_id, remove_query_arg( $removed_args, admin_url( 'nav-menus.php#menu-item-settings-' . $item_id ) ) );
                        ?>"><?php _e( 'Edit Menu Item' , 'BB'); ?></a>
                    </span>
                </dt>
            </dl>

            <div class="menu-item-settings" id="menu-item-settings-<?php echo $item_id; ?>">
                <?php if( 'custom' == $item->type ) : ?>
                    <p class="field-url description description-wide">
                        <label for="edit-menu-item-url-<?php echo $item_id; ?>">
                            <?php _e( 'URL' , 'BB'); ?><br />
                            <input type="text" id="edit-menu-item-url-<?php echo $item_id; ?>" class="widefat code edit-menu-item-url" name="menu-item-url[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->url ); ?>" />
                        </label>
                    </p>
                <?php endif; ?>
                <p class="description description-thin">
                    <label for="edit-menu-item-title-<?php echo $item_id; ?>">
                        <?php _e( 'Navigation Label' , 'BB'); ?><br />
                        <input type="text" id="edit-menu-item-title-<?php echo $item_id; ?>" class="widefat edit-menu-item-title" name="menu-item-title[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->title ); ?>" />
                    </label>
                </p>
                <p class="description description-thin">
                    <label for="edit-menu-item-attr-title-<?php echo $item_id; ?>">
                        <?php _e( 'Title Attribute' , 'BB' ); ?><br />
                        <input type="text" id="edit-menu-item-attr-title-<?php echo $item_id; ?>" class="widefat edit-menu-item-attr-title" name="menu-item-attr-title[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->post_excerpt ); ?>" />
                    </label>
                </p>
                <p class="field-link-target description">
                    <label for="edit-menu-item-target-<?php echo $item_id; ?>">
                        <input type="checkbox" id="edit-menu-item-target-<?php echo $item_id; ?>" value="_blank" name="menu-item-target[<?php echo $item_id; ?>]"<?php checked( $item->target, '_blank' ); ?> />
                        <?php _e( 'Open link in a new window/tab' , 'BB'); ?>
                    </label>
                </p>
                <p class="field-css-classes description description-thin">
                    <label for="edit-menu-item-classes-<?php echo $item_id; ?>">
                        <?php _e( 'CSS Classes (optional)' , 'BB'); ?><br />
                        <input type="text" id="edit-menu-item-classes-<?php echo $item_id; ?>" class="widefat code edit-menu-item-classes" name="menu-item-classes[<?php echo $item_id; ?>]" value="<?php echo esc_attr( implode(' ', $item->classes ) ); ?>" />
                    </label>
                </p>
                <p class="field-xfn description description-thin">
                    <label for="edit-menu-item-xfn-<?php echo $item_id; ?>">
                        <?php _e( 'Link Relationship (XFN)' , 'BB'); ?><br />
                        <input type="text" id="edit-menu-item-xfn-<?php echo $item_id; ?>" class="widefat code edit-menu-item-xfn" name="menu-item-xfn[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->xfn ); ?>" />
                    </label>
                </p>
                <p class="field-bbmegamenu description description-thin">
                     <label for="edit-menu-item-bbmegamenu-<?php echo $item_id; ?>">X Megamenu Type</label>
                     <select id="edit-menu-item-bbmegamenu-<?php echo $item_id; ?>" name="menu-item-bbmegamenu[<?php echo $item_id; ?>]">
                        <option value="2" <?php if ( ( $bb_item_megamenu == '2' ) || ( $bb_item_megamenu == NULL ) ) echo 'selected="selected"'; ?>>X Standard Dropdown</option>
                            <?php if ( $item->object == 'category' ) { ?>
                            <option value="1" <?php if ( $bb_item_megamenu == '1' ) echo 'selected="selected"'; ?>>X-cat-mega-style-1</option>
                            <option value="4" <?php if ( $bb_item_megamenu == '4' ) echo 'selected="selected"'; ?>>X-cat-mega-style-2</option>
                       <?php } ?>
                       <option value="3" <?php if ( $bb_item_megamenu == '3' ) echo 'selected="selected"'; ?>>X-Megamenu</option>
                     </select>
                </p>
                <p class="field-mcolor description description-wide">
                <label for="edit-menu-item-mcolor-<?php echo $item_id; ?>">
                    <?php _e( 'Menu item Color', 'framework' ); ?><br />
                    <input type="text" id="edit-menu-item-mcolor-<?php echo $item_id; ?>" class="widefat mom-color-field edit-menu-item-mcolor" name="menu-item-mcolor[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->mcolor ); ?>" />
                </label>
            </p>
             <p class="field-bcustom description description-wide">
                <label for="edit-menu-item-bcustom -<?php echo $item_id; ?>">
                    <?php _e( 'Menu item Custom Text [EX: Hot ...]', 'BB' ); ?><br />
                    <input type="text" id="edit-menu-item-bcustom-<?php echo $item_id; ?>" class="widefat bb-custom-field edit-menu-item-bcustom " name="menu-item-bcustom[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->bcustom  ); ?>" />
                </label>
            </p>
                <p class="field-description description description-wide">
                    <label for="edit-menu-item-description-<?php echo $item_id; ?>">
                        <?php _e( 'Description' , 'BB'); ?><br />
                        <textarea id="edit-menu-item-description-<?php echo $item_id; ?>" class="widefat edit-menu-item-description" rows="3" cols="20" name="menu-item-description[<?php echo $item_id; ?>]">
                            <?php echo esc_html( $item->description ); // textarea_escaped ?></textarea>
                        <span class="description"><?php _e('The description will be displayed in the menu if the current theme supports it.' , 'BB'); ?></span>
                    </label>
                </p>
                <p class="field-move hide-if-no-js description description-wide">
                    <label>
                        <span><?php _e( 'Move' , 'BB'); ?></span>
                        <a href="#" class="menus-move-up"><?php _e( 'Up one' , 'BB'); ?></a>
                        <a href="#" class="menus-move-down"><?php _e( 'Down one' , 'BB'); ?></a>
                        <a href="#" class="menus-move-left"></a>
                        <a href="#" class="menus-move-right"></a>
                        <a href="#" class="menus-move-top"><?php _e( 'To the top' , 'BB'); ?></a>
                    </label>
                </p>

                <div class="menu-item-actions description-wide submitbox">
                    <?php if( 'custom' != $item->type && $original_title !== false ) : ?>
                        <p class="link-to-original">
                            <?php printf( __('Original: %s' , 'BB'), '<a href="' . esc_attr( $item->url ) . '">' . esc_html( $original_title ) . '</a>' ); ?>
                        </p>
                    <?php endif; ?>
                    <a class="item-delete submitdelete deletion" id="delete-<?php echo $item_id; ?>" href="<?php
                    echo wp_nonce_url(
                        add_query_arg(
                            array(
                                'action' => 'delete-menu-item',
                                'menu-item' => $item_id,
                            ),
                            admin_url( 'nav-menus.php' )
                        ),
                        'delete-menu_item_' . $item_id
                    ); ?>"><?php _e( 'Remove' , 'BB'); ?></a> <span class="meta-sep hide-if-no-js"> | </span> <a class="item-cancel submitcancel hide-if-no-js" id="cancel-<?php echo $item_id; ?>" href="<?php echo esc_url( add_query_arg( array( 'edit-menu-item' => $item_id, 'cancel' => time() ), admin_url( 'nav-menus.php' ) ) );
                        ?>#menu-item-settings-<?php echo $item_id; ?>"><?php _e('Cancel' , 'BB'); ?></a>
                </div>

                <input class="menu-item-data-db-id" type="hidden" name="menu-item-db-id[<?php echo $item_id; ?>]" value="<?php echo $item_id; ?>" />
                <input class="menu-item-data-object-id" type="hidden" name="menu-item-object-id[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->object_id ); ?>" />
                <input class="menu-item-data-object" type="hidden" name="menu-item-object[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->object ); ?>" />
                <input class="menu-item-data-parent-id" type="hidden" name="menu-item-parent-id[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->menu_item_parent ); ?>" />
                <input class="menu-item-data-position" type="hidden" name="menu-item-position[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->menu_order ); ?>" />
                <input class="menu-item-data-type" type="hidden" name="menu-item-type[<?php echo $item_id; ?>]" value="<?php echo esc_attr( $item->type ); ?>" />
            </div><!-- .menu-item-settings-->
            <ul class="menu-item-transport"></ul>
        <?php
        $output .= ob_get_clean();
    }
}

if ( ! function_exists( 'bb_megamenu_walker' ) ) {
    function bb_megamenu_walker($walker) {
            if ( $walker === 'Walker_Nav_Menu_Edit' ) {
                        $walker = 'bb_walker_backend';
                  }
           return $walker;
        }
}
add_filter( 'wp_edit_nav_menu_walker', 'bb_megamenu_walker');

if ( ! function_exists( 'bb_megamenu_walker_save' ) ) {
    function bb_megamenu_walker_save($menu_id, $menu_item_db_id) {

        if  (isset($_POST['menu-item-bbmegamenu'][$menu_item_db_id])) {
                update_post_meta( $menu_item_db_id, '_menu_item_bbmegamenu', $_POST['menu-item-bbmegamenu'][$menu_item_db_id]);
        } else {
            update_post_meta( $menu_item_db_id, '_menu_item_bbmegamenu', '1');
        }



      if (isset($_REQUEST['menu-item-mcolor']) ) {
              if ( is_array($_REQUEST['menu-item-mcolor']) ) {
                  $icon_value = $_REQUEST['menu-item-mcolor'][$menu_item_db_id];
                  update_post_meta( $menu_item_db_id, '_menu_item_mcolor', $icon_value );
              }
          }

      if (isset($_REQUEST['menu-item-bcustom']) ) {
              if ( is_array($_REQUEST['menu-item-bcustom']) ) {
                  $custom_value = $_REQUEST['menu-item-bcustom'][$menu_item_db_id];
                  update_post_meta( $menu_item_db_id, '_menu_item_bcustom', $custom_value );
              }
          }


    }
}
add_action( 'wp_update_nav_menu_item', 'bb_megamenu_walker_save', 10, 2 );

if ( ! function_exists( 'bb_megamenu_walker_loader' ) ) {
    function bb_megamenu_walker_loader($menu_item) {
            $menu_item->bbmegamenu = get_post_meta( $menu_item->ID, '_menu_item_bbmegamenu', true);
            $menu_item->mcolor     = get_post_meta( $menu_item->ID, '_menu_item_mcolor', true );
            $menu_item->bcustom    = get_post_meta( $menu_item->ID, '_menu_item_bcustom', true ); 
 
            return $menu_item;
     }
}
add_filter( 'wp_setup_nav_menu_item', 'bb_megamenu_walker_loader' );



add_action('admin_menu', 'bb_mega_menu_style');
function bb_mega_menu_style()
{
       
        wp_enqueue_style( 'wp-color-picker' );
        wp_enqueue_script( 'wp-color-picker' );
}

