<?php
/**
 * Enqueue scripts and styles for the front end.
 *
 */

add_action( 'wp_enqueue_scripts', 'BB_load_scripts' );

if ( ! function_exists( 'BB_load_scripts' ) ) : 

function BB_load_scripts() {

    wp_enqueue_style( 'BB-style', get_stylesheet_uri()  );

    wp_enqueue_style( 'BB-bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.min.css');


   $dark_skin = ot_get_option('bb_dark_skin'); if ($dark_skin == "on") {
         wp_enqueue_style( 'BB-dark', get_template_directory_uri() . '/assets/css/dark.css');
      }


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}



  wp_register_script( 'BB-bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.min.js',
    array( 'jquery' ), null, true );
  wp_register_script( 'BB-plugin', get_template_directory_uri() . '/assets/js/plugin.js',
    array( 'jquery' ), null, true );
  wp_register_script( 'BB-owl', get_template_directory_uri() . '/assets/js/owl.js',
    array( 'jquery' ), null, true );
  wp_register_script( 'BB-royalslider', get_template_directory_uri() . '/assets/js/jquery.royalslider.min.js',
    array( 'jquery' ), null, true );
  wp_register_script( 'BB-custom', get_template_directory_uri() . '/assets/js/custom.js',
    array( 'jquery' ), null, true );

 
  wp_enqueue_script( 'jquery'       );
  wp_enqueue_script( 'BB-bootstrap' );
  wp_enqueue_script( 'BB-plugin'    );

  if ( is_page_template( 'page-video.php' ) ) {
    
      wp_enqueue_script( 'BB-royalslider' ); 
   } 
  
  wp_enqueue_script( 'BB-custom'    );
  wp_enqueue_script( 'BB-owl'       );
  
   
 
 }

endif;
