<?php

class BB_Latest_Reviews extends WP_Widget {
	
	
	/**
	 * Register widget
	**/
	public function __construct() {
		
		parent::__construct(
	 		'BB_latest_reviews', // Base ID
			__( theme_name.' - Latest Reviews', 'BB' ), // Name
			array( 'description' => __( 'Display the latest posts with reviews', 'BB' ), ) // Args
		);
		
	}

	
	/**
	 * Front-end display of widget
	**/
	public function widget( $args, $instance ) {
				
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$items_num = $instance['items_num'];
		
		echo $before_widget;
			
			
			if ( $title ) echo $before_title . esc_html( $title ) . $after_title;
            ?>
            
            <?php
			/** 
			 * Latest Reviews
			**/
			
			global $post;
			$BB_latest_reviews = new WP_Query(
				array(
					
					'meta_key' => 'reviewBB_checkbox',
					'orderby'    => 'meta_value_num',
					'post_status' => 'publish', 
					'no_found_rows' => 1 ,
					'posts_per_page' => $items_num,
				)
			);
			?>

            <?php while ( $BB_latest_reviews->have_posts() ) : $BB_latest_reviews->the_post(); ?>
                
<?php $enable_review = get_post_custom_values('reviewBB_checkbox');
$total_review = absint(BB_get_total_review(get_the_id()));?>
<?php if (get_option('disable_review') == 0){if($enable_review[0] == 1 && $total_review > 0) { ?>   
<?php
 $categories = get_the_category();
            if($categories){
             foreach($categories as $category) {
             $cb_cat_id = $category->term_id ;
           }
       }
            $cat_options = get_option( "bb_cat_$cb_cat_id");
            $cat_color = $cat_options['cat_color'];?>
                
			<article class="col-md-12 col-sm-6 col-xs-12 fea-1 mar-20">
				<div class="feature-inner row" style="background-color:<?php  echo $cat_color  ?>;">
        <?php if ( (function_exists( 'has_post_thumbnail')) && (has_post_thumbnail()) ) ; $thumb=wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'BB-f' ); ?>
        <a class="fea-item-big"  href="<?php the_permalink(); ?>" rel="bookmark"><img src="<?php echo $thumb['0']; ?>" alt=""></a>
        <div class="feature-title">
            <h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3> 
           <div class="p-hiden">
           <p><?php echo excerpt(15); ?></p>
           </div>
            </div>
        <div class="sh-feature"></div>
 <?php bb_cat_display(); ?>

<?php BB_reviews(); ?>
</div>
			</article>
               <?php } } ?>
            <?php endwhile; ?>


			<?php wp_reset_query(); ?>

	    <?php 
		echo $after_widget;
		
	}
	
	
	/**
	 * SaniBBze widget form values as they are saved
	**/
	public function update( $new_instance, $old_instance ) {
		
		$instance = array();

		/* Strip tags to remove HTML. For text inputs and textarea. */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['items_num'] = strip_tags( $new_instance['items_num'] );
		
		return $instance;
		
	}
	
	
	/**
	 * Back-end widget form
	**/
	public function form( $instance ) {
		
		/* Default widget setBBngs. */
		$defaults = array(
			'title' => 'Latest Reviews',
			'items_num' => '5',
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		
	?>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'title' ) );  ?>"><?php _e('title:', 'BB'); ?></label>
			<input type="text" id="<?php echo esc_attr($this->get_field_id( 'title' ) );  ?>" name="<?php echo esc_attr ($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr ($instance['title']); ?>" class="widefat" />
		</p>
		<p>
        	<label for="<?php echo esc_attr ($this->get_field_id( 'items_num' )); ?>"><?php _e('Maximum posts to show:', 'BB'); ?></label>
			<input type="text" id="<?php echo esc_attr ($this->get_field_id( 'items_num' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'items_num' )); ?>" value="<?php echo esc_attr ($instance['items_num']); ?>" size="1" />
		</p>
	<?php
	}

}
register_widget( 'BB_Latest_Reviews' );