<?php
/*
 * Plugin Name: Latest Video Widget From NC-VIDEO
 * Plugin URI: http://www.wp-bbosa.com
 * Description: A widget that show Latest Video Widget From NC_VIDEO
 * Version: 1.0
 * Author: bbosa
 * Author URI: http://www.wp-bbosa.com
 */

class NCVIDEO_1 extends WP_Widget {
	
	
	/**
	 * Register widget
	**/
	public function __construct() {
		
		parent::__construct(
	 		'ncvideo_1', // Base ID
			__( 'NC-Video Block 1', 'BB' ), // Name
			array( 'description' => __( 'Display the latest posts From NC-video Custom Post Type', 'BB' ), ) // Args
		);
		
	}

	
	/**
	 * Front-end display of widget
	**/
	public function widget( $args, $instance ) {
				
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$items_num = $instance['items_num'];
		
		echo $before_widget;
			
			
			if ( $title ) echo $before_title . $title . $after_title;
            ?>
            
            <?php
			/** 
			 * Latest Reviews
			**/
			global $post;
			$ti_latest_reviews = new WP_Query(
				array(
					'post_type' => 'ncvideo',
					'posts_per_page' => $items_num,
				)
			);
			?>
            
            <div class="video-box row">
            <?php while ( $ti_latest_reviews->have_posts() ) : $ti_latest_reviews->the_post(); ?>
      <article class="entry style-media item-post col-md-6 col-sm-6">
                <figure class="media-object mas2"> 
                 <?php if ( (function_exists( 'has_post_thumbnail')) && (has_post_thumbnail()) ) {  $thumb=wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'BB-3' ); ?>
                         <a href="<?php the_permalink(); ?>" rel="bookmark">
                        <img src="<?php echo $thumb['0']; ?>" alt="">
                    </a>
                    <?php } else { ?><a href="<?php the_permalink(); ?>" rel="bookmark"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/placeholder.jpg" alt="<?php the_title(); ?>"></a><?php } ?>
              <div class="nc-v"></div>
             

                </figure>
                <header class="nc-vtitle">
                    <h3 class="entry-title">
                         <a href="<?php the_permalink(); ?>">
                            <?php if ( strlen( $post->post_title ) > 25 ) { echo substr( the_title( $before = '', $after = '', FALSE ), 0, 30 ) . '...'; } else { the_title(); } ?>
                        </a>
                    </h3>
                </header>
 

            </article>
               
            <?php endwhile; ?>
            </div>

			<?php wp_reset_query(); ?>

	    <?php 
		echo $after_widget;
		
	}
	
	
	/**
	 * Sanitize widget form values as they are saved
	**/
	public function update( $new_instance, $old_instance ) {
		
		$instance = array();

		/* Strip tags to remove HTML. For text inputs and textarea. */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['items_num'] = strip_tags( $new_instance['items_num'] );
		
		return $instance;
		
	}
	
	
	/**
	 * Back-end widget form
	**/
	public function form( $instance ) {
		
		/* Default widget settings. */
		$defaults = array(
			'title' => 'latest video',
			'items_num' => '5',
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		
	?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'themeText'); ?></label>
			<input type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" />
		</p>
		<p>
        	<label for="<?php echo $this->get_field_id( 'items_num' ); ?>"><?php _e('Maximum posts to show:', 'themetext'); ?></label>
			<input type="text" id="<?php echo $this->get_field_id( 'items_num' ); ?>" name="<?php echo $this->get_field_name( 'items_num' ); ?>" value="<?php echo $instance['items_num']; ?>" size="1" />
		</p>
	<?php
	}

}
register_widget( 'NCVIDEO_1' );