<?php
// =============================== My Social Networks Widget ====================================== //
class My_SocialNetworksWidget extends WP_Widget {

	function My_SocialNetworksWidget() {
		$widget_ops = array('classname' => 'social_networks_widget', 'description' => __('Link to your social networks.', 'BB'));
		$this->WP_Widget('social_networks', __(theme_name.' - Social Networks', 'BB'), $widget_ops);
	}

	function widget( $args, $instance ) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		
		$networks['Twitter']['link'] = $instance['twitter'];
		$networks['Facebook']['link'] = $instance['facebook'];
		$networks['Flickr']['link'] = $instance['flickr'];
		$networks['Rss']['link'] = $instance['rss'];
		$networks['Linkedin']['link'] = $instance['linkedin'];
		$networks['Instagram']['link'] = $instance['instagram'];
		$networks['Youtube']['link'] = $instance['youtube'];		
		$networks['Dribbble']['link'] = $instance['dribbble'];
		$networks['Deviantart']['link'] = $instance['deviantart'];
		$networks['google']['link'] = $instance['google'];
		$networks['Pinterest']['link'] = $instance['pinterest'];
		
		
		
		$networks['Twitter']['label'] = $instance['twitter_label'];
		$networks['Facebook']['label'] = $instance['facebook_label'];
		$networks['Flickr']['label'] = $instance['flickr_label'];
		$networks['Rss']['label'] = $instance['rss_label'];
		$networks['Linkedin']['label'] = $instance['linkedin_label'];
		$networks['Instagram']['label'] = $instance['instagram_label'];
		$networks['Youtube']['label'] = $instance['youtube_label'];	
        $networks['Dribbble']['label'] = $instance['dribbble_label'];
		$networks['Deviantart']['label'] = $instance['deviantart_label'];
		$networks['google']['label'] = $instance['google_label'];
		$networks['Pinterest']['label'] = $instance['pinterest_label'];
		
		
		$display = $instance['display'];
		

		echo $before_widget;
		if ( $title )
    		echo $before_title . esc_html( $title ) . $after_title;
		?>
			<!-- BEGIN SOCIAL NETWORKS -->
			<?php if ($display == "both" or $display =="labels") {
				$addClass = "social__list";
			} elseif ($display == "icons") { 
				//$addClass = "social__row clearfix";
				$addClass = "social__list";
			} ?>
			
			<div class="social">
				
			<?php foreach(array("Facebook", "Twitter", "Flickr", "Linkedin", "Dribbble", "Deviantart", "Pinterest", "Vimeo", "google", "Instagram",  "Youtube") as $network) : ?>
	    		<?php if (!empty($networks[$network]['link'])) : ?>
				
					

					<div class="widget-soci">
					
						<a target="_blank" class="fa fa-<?php echo strtolower($network);?> fa-2x social_link social_link__<?php echo strtolower($network); ?>" data-rel="tooltip" data-original-title="<?php echo strtolower($network); ?>" href="<?php echo $networks[$network]['link']; ?>">
							<span class="social_label"><?php if (($networks[$network]['label'])!=="") { echo $networks[$network]['label']; } else { echo $network; } ?></span>
							</a>
						</div>	
                       
					
				
				<?php endif; ?>
			<?php endforeach; ?>
		      
   		</div>
   		<!-- END SOCIAL NETWORKS -->
      
		<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		
		$instance['twitter'] = $new_instance['twitter'];
		$instance['facebook'] = $new_instance['facebook'];
		$instance['flickr'] = $new_instance['flickr'];
		$instance['rss'] = $new_instance['rss'];
		$instance['linkedin'] = $new_instance['linkedin'];
		$instance['instagram'] = $new_instance['instagram'];
		$instance['youtube'] = $new_instance['youtube'];
		$instance['dribbble'] = $new_instance['dribbble'];
		$instance['deviantart'] = $new_instance['deviantart'];
		$instance['google'] = $new_instance['google'];
		$instance['pinterest'] = $new_instance['pinterest'];
		
		$instance['twitter_label'] = $new_instance['twitter_label'];
		$instance['facebook_label'] = $new_instance['facebook_label'];
		$instance['flickr_label'] = $new_instance['flickr_label'];
		$instance['rss_label'] = $new_instance['rss_label'];
		$instance['linkedin_label'] = $new_instance['linkedin_label'];
		$instance['instagram_label'] = $new_instance['instagram_label'];
		$instance['youtube_label'] = $new_instance['youtube_label'];
		$instance['dribbble_label'] = $new_instance['dribbble_label'];
		$instance['deviantart_label'] = $new_instance['deviantart_label'];
		$instance['google_label'] = $new_instance['google_label'];
		$instance['pinterest_label'] = $new_instance['pinterest_label'];


		$instance['display'] = $new_instance['display'];

		return $instance;
	}

	function form( $instance ) {
		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Social Networks', 'twitter' => '', 'twitter_label' => '', 'facebook' => '', 'facebook_label' => '', 'flickr' => '', 'flickr_label' => '', 'rss' => '', 'rss_label' => '', 'feed_label' => '', 'linkedin' => '', 'linkedin_label' => '', 'aim' => '', 'aim_label' => '', 'goodreads' => '', 'goodreads_label' => '', 'dribbble' => '', 'dribbble_label' => '', 'pinterest' => '', 'pinterest_label' => '', 'vimeo' => '', 'vimeo_label' => '', 'deviantart' => '', 'deviantart_label' => '', 'google' => '', 'google_label' => '', 'instagram' => '', 'instagram_label' => '', 'youtube' => '', 'youtube_label' => '', 'display' => 'icons', 'text' => '');
		$instance = wp_parse_args( (array) $instance, $defaults );
			
		$twitter = $instance['twitter'];		
		$facebook = $instance['facebook'];
		$flickr = $instance['flickr'];		
		$rss = $instance['rss'];
		$linkedin = $instance['linkedin'];	
		$instagram = $instance['instagram'];
		$youtube = $instance['youtube'];
		$dribbble = $instance['dribbble'];
		$deviantart = $instance['deviantart'];
		$google = $instance['google'];
		$pinterest = $instance['pinterest'];

		
		$twitter_label = $instance['twitter_label'];
		$facebook_label = $instance['facebook_label'];
		$flickr_label = $instance['flickr_label'];
		$rss_label = $instance['rss_label'];
		$linkedin_label = $instance['linkedin_label'];
		$instagram_label = $instance['instagram_label'];
		$youtube_label = $instance['youtube_label'];
		$dribbble_label = $instance['dribbble_label'];
		$deviantart_label = $instance['deviantart_label'];
		$google_label = $instance['google_label'];
		$pinterest_label = $instance['pinterest_label'];


		$display = $instance['display'];		
		$title = strip_tags($instance['title']);
		$text = format_to_edit($instance['text']);
?>
		<p><label for="<?php echo esc_attr ($this->get_field_id('title')); ?>"><?php _e('Title:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('title')); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>
    
		<fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Facebook', 'BB'); ?>:</legend>
			
			<p><label for="<?php echo esc_attr ($this->get_field_id('facebook')); ?>"><?php _e('Facebook URL:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('facebook')); ?>" name="<?php echo $this->get_field_name('facebook'); ?>" type="text" value="<?php echo esc_attr($facebook); ?>" /></p>
			
			<p><label for="<?php echo esc_attr ($this->get_field_id('facebook_label')); ?>"><?php _e('Facebook label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('facebook_label')); ?>" name="<?php echo $this->get_field_name('facebook_label'); ?>" type="text" value="<?php echo esc_attr($facebook_label); ?>" /></p>
		</fieldset>	
		
        <fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Twitter', 'BB'); ?>:</legend>	
		<p><label for="<?php echo esc_attr ($this->get_field_id('twitter')); ?>"><?php _e('Twitter URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('twitter')); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" type="text" value="<?php echo esc_attr($twitter); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('twitter_label')); ?>"><?php _e('Twitter label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('twitter_label')); ?>" name="<?php echo $this->get_field_name('twitter_label'); ?>" type="text" value="<?php echo esc_attr($twitter_label); ?>" /></p>
        </fieldset>	
		
        <fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Flickr', 'BB'); ?>:</legend>
		<p><label for="<?php echo $this->get_field_id('flickr'); ?>"><?php _e('Flickr URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('flickr'); ?>" name="<?php echo $this->get_field_name('flickr'); ?>" type="text" value="<?php echo esc_attr($flickr); ?>" /></p>
        <p><label for="<?php echo $this->get_field_id('flickr_label'); ?>"><?php _e('Flickr label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('flickr_label'); ?>" name="<?php echo $this->get_field_name('flickr_label'); ?>" type="text" value="<?php echo esc_attr($flickr_label); ?>" /></p>
        </fieldset>	
		
       
    
    <fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Linkedin', 'BB'); ?>:</legend>
    <p><label for="<?php echo $this->get_field_id('linkedin'); ?>"><?php _e('Linkedin URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('linkedin'); ?>" name="<?php echo $this->get_field_name('linkedin'); ?>" type="text" value="<?php echo esc_attr($linkedin); ?>" /></p>
        <p><label for="<?php echo $this->get_field_id('linkedin_label'); ?>"><?php _e('Linkedin label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('linkedin_label'); ?>" name="<?php echo $this->get_field_name('linkedin_label'); ?>" type="text" value="<?php echo esc_attr($linkedin_label); ?>" /></p>
        </fieldset>	
    
    <fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Instagram', 'BB'); ?>:</legend>
    <p><label for="<?php echo $this->get_field_id('instagram'); ?>"><?php _e('Instagram URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('instagram'); ?>" name="<?php echo $this->get_field_name('instagram'); ?>" type="text" value="<?php echo esc_attr($instagram); ?>" /></p>
        <p><label for="<?php echo $this->get_field_id('instagram_label'); ?>"><?php _e('Instagram label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('instagram_label'); ?>" name="<?php echo $this->get_field_name('instagram_label'); ?>" type="text" value="<?php echo esc_attr($instagram_label); ?>" /></p>
        </fieldset>	
    
    <fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Youtube', 'BB'); ?>:</legend>
    <p><label for="<?php echo esc_attr ($this->get_field_id('youtube')); ?>"><?php _e('Youtube URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('youtube')); ?>" name="<?php echo $this->get_field_name('youtube'); ?>" type="text" value="<?php echo esc_attr($youtube); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('youtube_label')); ?>"><?php _e('Youtube label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('youtube_label')); ?>" name="<?php echo $this->get_field_name('youtube_label'); ?>" type="text" value="<?php echo esc_attr($youtube_label); ?>" /></p>
        </fieldset>	
		

		
		<fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Dribbble', 'BB'); ?>:</legend>
		<p><label for="<?php echo esc_attr ($this->get_field_id('dribbble')); ?>"><?php _e('Dribbble URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('dribbble')); ?>" name="<?php echo $this->get_field_name('dribbble'); ?>" type="text" value="<?php echo esc_attr($dribbble); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('dribbble_label')); ?>"><?php _e('Dribbble label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('dribbble_label')); ?>" name="<?php echo $this->get_field_name('dribbble_label'); ?>" type="text" value="<?php echo esc_attr($dribbble_label); ?>" /></p>
        </fieldset>	
		
		<fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Deviantart', 'BB'); ?>:</legend>
		<p><label for="<?php echo esc_attr ($this->get_field_id('deviantart')); ?>"><?php _e('Deviantart URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('deviantart')); ?>" name="<?php echo $this->get_field_name('deviantart'); ?>" type="text" value="<?php echo esc_attr($deviantart); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('deviantart_label')); ?>"><?php _e('Deviantart label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('deviantart_label')); ?>" name="<?php echo $this->get_field_name('deviantart_label'); ?>" type="text" value="<?php echo esc_attr($deviantart_label); ?>" /></p>
        </fieldset>	
		
		<fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('google', 'BB'); ?>:</legend>
		<p><label for="<?php echo esc_attr ($this->get_field_id('google')); ?>"><?php _e('google URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('google')); ?>" name="<?php echo $this->get_field_name('google'); ?>" type="text" value="<?php echo esc_attr($google); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('google_label')); ?>"><?php _e('google label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('google_label')); ?>" name="<?php echo $this->get_field_name('google_label'); ?>" type="text" value="<?php echo esc_attr($google_label); ?>" /></p>
        </fieldset>	
		
		<fieldset style="border:1px solid #dfdfdf; padding:10px 10px 0; margin-bottom:1em;">
			<legend style="padding:0 5px;"><?php _e('Pinterest', 'BB'); ?>:</legend>
		<p><label for="<?php echo esc_attr ($this->get_field_id('pinterest')); ?>"><?php _e('Pinterest URL:', 'BB'); ?></label>
		<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('pinterest')); ?>" name="<?php echo $this->get_field_name('pinterest'); ?>" type="text" value="<?php echo esc_attr($pinterest); ?>" /></p>
        <p><label for="<?php echo esc_attr ($this->get_field_id('pinterest_label')); ?>"><?php _e('Pinterest label:', 'BB'); ?></label>
			<input class="widefat" id="<?php echo esc_attr ($this->get_field_id('pinterest_label')); ?>" name="<?php echo $this->get_field_name('pinterest_label'); ?>" type="text" value="<?php echo esc_attr($pinterest_label); ?>" /></p>
        </fieldset>
		
	



    
<?php
	}
}

add_action('widgets_init', create_function('', 'return register_widget("My_SocialNetworksWidget");'));
?>