<?php


class BB_Video_Embed extends WP_Widget {
  
  
  /**
   * Register widget
  **/
  public function __construct() {
    
    parent::__construct(
      'BB_Video_Embed', // Base ID
      __( theme_name.' - Video', 'BB' ), // Name
      array( 'description' => __( 'Add video from Vimeo, YouTube or other video site.', 'themetext' ), ) // Args
    );
    
  }

  
  /**
   * Front-end display of widget
  **/
  public function widget( $args, $instance ) {
        
    extract( $args );

    $title = apply_filters('widget_title', $instance['title'] );
    $video_url = $instance['video_url'];
    
    echo $before_widget;
      
      
      if ( $title ) echo $before_title . esc_html( $title ) . $after_title;
      
            
            $video_embed =  wp_oembed_get( $video_url );
      echo '<div class="enteries">
            <figure class="video-wrapper">' .$video_embed. '</figure></div>';
            ?>
            

            
      
      <?php 
    echo $after_widget;
    
  }
  
  
  /**
   * Sanitize widget form values as they are saved
  **/
  public function update( $new_instance, $old_instance ) {
    
    $instance = array();

    /* Strip tags to remove HTML. For text inputs and textarea. */
    $instance['title'] = strip_tags( $new_instance['title'] );
    $instance['video_url'] = strip_tags( $new_instance['video_url'] );
    
    return $instance;
    
  }
  
  
  /**
   * Back-end widget form
  **/
  public function form( $instance ) {
    
    /* Default widget settings. */
    $defaults = array(
      'title' => 'Video',
      'video_url' => '',
      'video_title' => 'Video Title',
    );
    $instance = wp_parse_args( (array) $instance, $defaults );
    
  ?>
    <p>
      <label for="<?php echo esc_attr ($this->get_field_id( 'title' )); ?>"><?php _e('Title:', 'BB'); ?></label>
      <input type="text" id="<?php echo esc_attr ($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr ($instance['title']); ?>" class="widefat" />
    </p>
    <p>
      <label for="<?php echo esc_attr ($this->get_field_id( 'video_url' )); ?>"><?php _e('Video page URL:', 'BB'); ?></label>
      <input type="text" id="<?php echo esc_attr ($this->get_field_id( 'video_url' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'video_url' )); ?>" value="<?php echo esc_url($instance['video_url']); ?>" class="widefat" />
    </p>
    <p>
  <?php
  }

}
register_widget( 'BB_Video_Embed' );