<?php 
/**
 * cat dark
 */
if ( ! class_exists( 'BB_Widget_Cats_Dark' ) ) {
    class BB_Widget_Cats_Dark extends WP_Widget {
    
      function __construct() {
        $widget_ops = array('classname' => 'widget-latest-articles', 'description' => "Shows the latest posts (Big/Small Styles)" );
        parent::__construct('bb-cats-dark',theme_name.' - Cats Dark', $widget_ops);
        $this->alt_option_name = 'widget_cats_dark';
    
        add_action( 'save_post', array($this, 'flush_widget_cache') );
        add_action( 'deleted_post', array($this, 'flush_widget_cache') );
        add_action( 'switch_theme', array($this, 'flush_widget_cache') );
      }
    
      function widget($args, $instance) {
        $cache = wp_cache_get('widget_cats_dark', 'widget');
    
        if ( !is_array($cache) )
          $cache = array();
    
        if ( ! isset( $args['widget_id'] ) )
          $args['widget_id'] = $this->id;
    
        if ( isset( $cache[ $args['widget_id'] ] ) ) {
          echo $cache[ $args['widget_id'] ];
          return;
        }
    
        ob_start();
        extract($args);
    
        $title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Posts', 'cubell') : $instance['title'], $instance, $this->id_base);
        $category = apply_filters('widget_category', empty($instance['category']) ? '' : $instance['category'], $instance, $this->id_base);
        if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )$number = 5;
            if ($category != 'all') { $cb_cat_qry = $category;} else {$cb_cat_qry = NULL;}

        $recent = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => 1, 'no_found_rows' => true, 'category_name' => $cb_cat_qry, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
        if ($recent->have_posts()) :
    
    echo $before_widget; 
              
        if ( $title ) echo $before_title . esc_html( $title ) . $after_title; ?>
        
           <div class="wid-dark">
        <?php while ( $recent->have_posts() ) : $recent->the_post();?>
         <article class="fea-1">
                <div class="feature-inner">
        <?php if ( (function_exists( 'has_post_thumbnail')) && (has_post_thumbnail()) ) ; $thumb=wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'BB-f' ); ?>
        <a class="fea-item-big"  href="<?php the_permalink(); ?>" rel="bookmark"><img src="<?php echo $thumb['0']; ?>" alt=""></a>
        <div class="feature-title">
            <h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3> 
           <div class="p-hiden">
           <p><?php echo excerpt(15); ?></p>
           </div>
            </div>
        <div class="sh-feature"></div>
                <?php echo BB_format_icon(); ?>
<?php bb_cat_display(); ?>
<?php BB_reviews(); ?>

</div>
            </article>
        <?php endwhile;
               wp_reset_postdata();
    
        endif;

         ?>

            <div class="row">
                <div class="bb_list pad_top_30">
              <ul>    
        <?php 
              $recent_link = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => $number,'offset' => 1 , 'no_found_rows' => true, 'category_name' => $cb_cat_qry, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
                if ($recent_link->have_posts()) :
         ?>
       <?php while ( $recent_link->have_posts() ) : $recent_link->the_post();?>
  <li class="col-md-12">
            <article class="bb-list">
              <div class="col-md-4 col-xs-3 list-img">
         
                <figure class="media-object mas2 center"> <a href="<?php the_permalink(); ?>" rel="bookmark">
                  <?php if ( (function_exists( 'has_post_thumbnail')) && (has_post_thumbnail()) ) {  $thumb=wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'BB-3' ); ?>
                        <img src="<?php echo $thumb['0']; ?>" alt="">
                        </a>
                        <?php } else { ?><a href="<?php the_permalink(); ?>" rel="bookmark"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/placeholder.jpg" alt="<?php the_title(); ?>"></a><?php } ?>
               <?php echo BB_format_icon(); ?>
              <?php BB_reviews_big(); ?>
                </figure>
            
             </div>
             <div class="col-md-8 col-xs-9 row"> 
             <div class="pad-list"> 
                <header class="type-list">
                    <h4 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
                    <div class="bb-meta">
                        <span><?php the_time( get_option( 'date_format' ) ); ?></span>&nbsp;&nbsp;
                        <span><?php _e('By','BB' ); ?>&nbsp;<?php echo get_the_author_link(); ?></span>
                    </div>
                </header>
                
                 

              </div> 
              </div>

            </article>
           </li> 
          
        <?php endwhile; ?>
      </ul>
    </div>
  </div>
</div>
        <?php echo $after_widget; ?>
    <?php
        // Reset the global $the_post as this query will have stomped on it
        wp_reset_postdata();
    
        endif;
    
        $cache[$args['widget_id']] = ob_get_flush();
        wp_cache_set('widget_cats_dark', $cache, 'widget');
      }
    
      function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        
            $instance['title'] = strip_tags($new_instance['title']);
            $instance['category'] = strip_tags($new_instance['category']);
        $instance['number'] = (int) $new_instance['number'];
        $this->flush_widget_cache();
    
        $alloptions = wp_cache_get( 'alloptions', 'options' );
        if ( isset($alloptions['widget_cats_dark']) )
          delete_option('widget_cats_dark');
    
        return $instance;
      }
    
      function flush_widget_cache() {
        wp_cache_delete('widget_cats_dark', 'widget');
      }
    
      function form( $instance ) {
        $title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        $category     = isset( $instance['category'] ) ? esc_attr( $instance['category'] ) : '';
        $number    = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
        
            $category_bb = get_categories();
    ?>
        <p><label for="<?php echo esc_attr ($this->get_field_id( 'title' )); ?>"><?php _e( 'Title:', 'cubell' ); ?></label>
        <input class="widefat" id="<?php echo esc_attr ($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title); ?>" /></p>
 
        <p><label for="<?php echo esc_attr ($this->get_field_id( 'number' )); ?>"><?php _e( 'Number of posts to show:', 'cubell' ); ?></label>
        <input id="<?php echo esc_attr ($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'number' )); ?>" type="text" value="<?php echo esc_attr ($number); ?>" size="3" /></p>
 
          <p><label for="<?php echo esc_attr ($this->get_field_id( 'category' )); ?>"><?php  echo "Category:"; ?></label>
            <select id="<?php echo esc_attr ($this->get_field_id( 'category' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'category' )); ?>">
            <option value="all" <?php if ($category == 'all') echo 'selected="selected"'; ?>>All Categories</option>
            <?php foreach ($category_bb as $cat) {
                    if ($category == $cat->slug) {$selected = 'selected="selected"'; } else { $selected = NULL;}
                    echo '<option value="'.$cat->slug.'" '.$selected.'>'.$cat->name.' ('.$cat->count.')</option>';
 
              } ?>
            </select></p>
            
         
           
        
    <?php
      }
    }
}

if ( ! function_exists( 'bb_cats_dark_loader' ) ) {
    function bb_cats_dark_loader () {
     register_widget( 'BB_Widget_Cats_Dark' );
    }
     add_action( 'widgets_init', 'bb_cats_dark_loader' );
}
?>