<?php

class BB_latest_news_in_pic extends WP_Widget {


	/**
	 * Register widget
	**/
	public function __construct() {

		parent::__construct(
	 		'BB_latest_news_in_pic', // Base ID
			__( theme_name.' - News In Pic', 'BB' ), // Name
			array( 'description' => __( 'Display the latest news in pic', 'BB' ), ) // Args
		);

	}


	/**
	 * Front-end display of widget
	**/
	public function widget( $args, $instance ) {

		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$items_num = $instance['items_num'];

		echo $before_widget;


			if ( $title ) echo $before_title . esc_html( $title ) . $after_title;
            ?>

            <?php
			/**
			 * Latest Reviews
			**/
			global $post;
			$BB_latest_news_in_pic = new WP_Query(
				array(
					'post_type' => 'post',
					'posts_per_page' => $items_num,
				)
			);
			?>

                 <div class="gal-widget">
            <?php while ( $BB_latest_news_in_pic->have_posts() ) : $BB_latest_news_in_pic->the_post(); ?>

                  <figure class="gallery-widget">
                            <a href="<?php the_permalink(); ?>" data-toggle="tooltip" data-placement="top" title="<?php the_title(); ?>">
                            <?php if ( (function_exists( 'has_post_thumbnail')) && (has_post_thumbnail()) ) ; $thumb=wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'BB-list' ); ?>

                                <img class="gallery-item-widget" src="<?php echo esc_url($thumb['0']); ?>" alt="<?php the_title(); ?>">
                            </a>
                            <?php BB_reviews(); ?>
                   </figure>

            <?php endwhile;wp_reset_query(); ?>
                      </div>
	    <?php
		echo $after_widget;

	}


	/**
	 * SaniBBze widget form values as they are saved
	**/
	public function update( $new_instance, $old_instance ) {

		$instance = array();

		/* Strip tags to remove HTML. For text inputs and textarea. */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['items_num'] = strip_tags( $new_instance['items_num'] );

		return $instance;

	}


	/**
	 * Back-end widget form
	**/
	public function form( $instance ) {

		/* Default widget setBBngs. */
		$defaults = array(
			'title' => 'News In Pic',
			'items_num' => '5',
		);
		$instance = wp_parse_args( (array) $instance, $defaults );

	?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' )) ; ?>"><?php _e('title:', 'BB'); ?></label>
			<input type="text" id="<?php echo esc_attr ($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr  ($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr ($instance['title']); ?>" class="widefat" />
		</p>
		<p>
        	<label for="<?php echo esc_attr ($this->get_field_id( 'items_num' )); ?>"><?php _e('Maximum posts to show:', 'BB'); ?></label>
			<input type="text" id="<?php echo esc_attr ($this->get_field_id( 'items_num' )); ?>" name="<?php echo esc_attr ($this->get_field_name( 'items_num' )); ?>" value="<?php echo esc_attr ($instance['items_num']); ?>" size="1" />
		</p>
	<?php
	}

}
register_widget( 'BB_latest_news_in_pic' );